int16_t input[16000]={558,
709,
85,
140,
465,
646,
431,
140,
500,
263,
-95,
-86,
-167,
-316,
-219,
-47,
-328,
-165,
-306,
-510,
-377,
-239,
65,
-273,
-317,
5,
-593,
-1063,
-1055,
-902,
-634,
-480,
-539,
-641,
-259,
-646,
-1092,
-1051,
-951,
-514,
-787,
-1020,
-996,
-1035,
-603,
-439,
-684,
-846,
-647,
-506,
-719,
-494,
-345,
-679,
-723,
-598,
-557,
-707,
-765,
-679,
-824,
-724,
-364,
-608,
-742,
-399,
-496,
-687,
-897,
-649,
-386,
-710,
-556,
-610,
-788,
-755,
-884,
-909,
-683,
-547,
-727,
-624,
-704,
-333,
-32,
-405,
-580,
-638,
-280,
-449,
-715,
-614,
-743,
-601,
-187,
-146,
-468,
-247,
-204,
-459,
-295,
-178,
-298,
-351,
-369,
-482,
-533,
-592,
-616,
-749,
-665,
-241,
-66,
-448,
-817,
-478,
7,
-188,
-524,
-307,
-451,
-289,
-270,
-543,
-305,
-333,
-520,
-363,
-147,
-127,
87,
-400,
-375,
-200,
-616,
-199,
3,
-65,
-201,
-376,
-84,
-20,
-346,
-484,
-275,
-311,
-248,
-112,
-154,
-169,
-33,
258,
220,
84,
59,
-240,
-560,
-74,
348,
49,
75,
-17,
-259,
248,
484,
150,
185,
8,
-307,
111,
438,
528,
550,
181,
161,
535,
657,
697,
233,
268,
927,
656,
424,
792,
795,
543,
720,
942,
955,
878,
752,
658,
776,
1347,
1057,
624,
726,
409,
316,
957,
1161,
696,
1197,
911,
720,
1262,
775,
719,
771,
818,
1165,
1017,
685,
898,
1031,
554,
590,
801,
699,
793,
1031,
850,
885,
1306,
1174,
856,
728,
919,
732,
721,
871,
547,
696,
774,
641,
251,
332,
927,
221,
242,
979,
1004,
782,
544,
604,
357,
388,
313,
165,
346,
672,
848,
302,
307,
694,
547,
456,
505,
15,
-59,
333,
467,
510,
284,
442,
629,
232,
45,
122,
-218,
-406,
97,
225,
87,
136,
177,
328,
22,
-231,
-273,
3,
149,
-190,
-231,
-280,
-248,
-580,
-484,
-53,
-293,
-199,
-115,
-425,
-786,
-952,
-790,
-519,
-583,
-665,
-428,
-280,
-390,
-679,
-520,
-588,
-693,
-489,
-464,
-677,
-980,
-912,
-817,
-659,
-663,
-588,
-830,
-1090,
-852,
-702,
-548,
-537,
-695,
-827,
-562,
-483,
-870,
-836,
-814,
-963,
-812,
-676,
-603,
-389,
-515,
-186,
-152,
-723,
-642,
-660,
-108,
-110,
-937,
-1215,
-978,
-588,
-624,
-613,
-503,
-380,
-508,
-674,
-355,
-140,
-173,
-430,
-644,
-672,
-549,
-189,
-236,
-542,
-528,
-458,
-433,
-308,
-397,
-530,
-287,
-632,
-620,
42,
-459,
-698,
-678,
-508,
-301,
-606,
-947,
-679,
-118,
-335,
-114,
126,
-60,
-262,
-529,
-365,
-163,
-596,
-500,
-137,
-203,
-313,
-230,
-110,
-329,
-280,
-551,
-591,
-56,
-338,
-723,
-406,
-57,
-41,
159,
-39,
-785,
-823,
-450,
-303,
-115,
-221,
-318,
-273,
-364,
333,
348,
-247,
-569,
-506,
30,
284,
148,
-319,
37,
223,
201,
487,
120,
-92,
25,
-207,
-92,
401,
330,
390,
607,
267,
320,
528,
143,
56,
11,
287,
748,
379,
360,
741,
786,
431,
113,
305,
477,
909,
1246,
1006,
956,
730,
457,
743,
1033,
564,
697,
1007,
603,
720,
538,
794,
1418,
1234,
765,
505,
801,
1178,
977,
685,
787,
692,
542,
855,
1033,
806,
855,
629,
787,
1351,
1005,
818,
900,
552,
450,
1030,
1054,
746,
578,
274,
598,
786,
458,
581,
1011,
901,
777,
799,
552,
356,
530,
1039,
642,
283,
298,
-79,
189,
419,
637,
1244,
1154,
353,
22,
484,
402,
225,
325,
323,
396,
251,
335,
581,
713,
442,
272,
72,
-51,
191,
216,
-118,
156,
939,
531,
710,
462,
-687,
-463,
-198,
-211,
-341,
-372,
139,
0,
-173,
305,
135,
-182,
-404,
-555,
-426,
-444,
-525,
-294,
109,
-463,
-729,
-253,
-462,
-480,
-562,
-781,
-500,
-586,
-1022,
-1054,
-693,
-627,
-845,
-886,
-741,
-593,
-791,
-1276,
-1146,
-586,
-408,
-646,
-888,
-497,
-307,
-788,
-730,
-675,
-947,
-1103,
-1247,
-881,
-568,
-495,
-603,
-429,
-41,
-339,
-664,
-899,
-888,
-519,
-611,
-578,
-392,
-550,
-671,
-754,
-819,
-814,
-443,
-251,
-472,
-455,
-520,
-863,
-850,
-626,
-652,
-403,
-363,
-422,
-325,
-522,
-426,
-516,
-548,
-436,
-404,
-514,
-593,
-127,
-181,
-487,
-462,
-439,
-793,
-445,
169,
11,
-374,
-740,
-126,
183,
-223,
-198,
-418,
-601,
-470,
-519,
-136,
-106,
-429,
-386,
-609,
-554,
-582,
-417,
-136,
-492,
-740,
-157,
142,
-122,
-93,
-433,
-443,
-70,
9,
-57,
-116,
-405,
-660,
-369,
244,
406,
38,
-368,
-439,
-66,
100,
156,
-94,
-267,
-101,
-148,
-310,
-241,
-143,
-50,
-19,
-11,
-18,
17,
481,
277,
-80,
121,
33,
-255,
104,
635,
462,
416,
233,
226,
322,
95,
285,
460,
810,
1133,
681,
469,
680,
1065,
990,
84,
82,
315,
1062,
1925,
1404,
792,
24,
21,
684,
904,
1198,
1014,
595,
646,
930,
772,
776,
871,
521,
918,
1015,
877,
1255,
1101,
954,
922,
868,
1042,
1119,
1297,
1047,
634,
746,
684,
673,
894,
806,
783,
612,
451,
808,
876,
1151,
1153,
657,
333,
242,
499,
732,
859,
698,
483,
149,
277,
799,
703,
444,
537,
561,
482,
448,
501,
807,
634,
199,
260,
663,
813,
432,
23,
37,
507,
698,
717,
997,
463,
-29,
362,
171,
45,
53,
185,
921,
725,
188,
293,
213,
-390,
-599,
-470,
-455,
-26,
1,
-301,
-399,
-343,
-81,
162,
114,
-290,
-288,
-357,
-174,
-217,
-533,
-133,
-188,
-425,
-593,
-593,
-518,
-844,
-777,
-542,
-515,
-459,
-562,
-549,
-769,
-585,
-437,
-954,
-998,
-965,
-972,
-700,
-755,
-1010,
-887,
-897,
-661,
-529,
-805,
-660,
-659,
-1060,
-812,
-486,
-733,
-1076,
-954,
-644,
-835,
-628,
-617,
-876,
-801,
-860,
-736,
-431,
-367,
-289,
-419,
-774,
-816,
-743,
-830,
-1002,
-679,
-680,
-769,
-432,
-542,
-444,
-232,
-283,
-558,
-367,
121,
-44,
-317,
-737,
-1091,
-886,
-697,
-517,
-254,
-561,
-746,
-517,
-75,
171,
-128,
-417,
-524,
-607,
-465,
-192,
-596,
-590,
-295,
-551,
-518,
-376,
-331,
-606,
-514,
-75,
-569,
-798,
-238,
-261,
-467,
-424,
-612,
-619,
-304,
-39,
46,
-255,
-302,
-344,
-487,
58,
315,
-19,
-412,
-457,
-496,
-390,
-557,
-445,
148,
-315,
-219,
-21,
-244,
-78,
-199,
-186,
-150,
-36,
385,
542,
213,
114,
82,
-231,
-29,
281,
170,
252,
293,
34,
238,
453,
255,
-2,
129,
353,
114,
300,
363,
65,
286,
300,
444,
366,
386,
482,
148,
497,
735,
364,
587,
1044,
557,
736,
751,
335,
759,
720,
617,
581,
574,
812,
876,
1056,
908,
665,
1061,
903,
751,
832,
725,
1283,
1241,
526,
567,
1413,
1380,
853,
877,
440,
390,
889,
965,
929,
912,
771,
857,
1088,
1361,
1085,
591,
929,
412,
92,
832,
949,
671,
747,
1009,
625,
603,
517,
776,
1124,
495,
281,
309,
647,
414,
315,
533,
471,
727,
548,
850,
775,
292,
604,
789,
459,
385,
512,
503,
661,
175,
190,
376,
161,
289,
391,
580,
121,
-47,
229,
214,
151,
101,
406,
503,
116,
-154,
57,
151,
236,
273,
-154,
-280,
-259,
-554,
-408,
-189,
-407,
-260,
-348,
-324,
138,
-391,
-597,
-454,
-542,
-671,
-813,
-639,
-506,
-95,
-364,
-744,
-612,
-758,
-434,
-567,
-1152,
-730,
-661,
-877,
-549,
-557,
-669,
-783,
-859,
-739,
-766,
-603,
-668,
-1019,
-1059,
-963,
-841,
-525,
-231,
-667,
-794,
-488,
-836,
-439,
-292,
-1019,
-950,
-813,
-671,
-890,
-1080,
-928,
-793,
-762,
-978,
-879,
-997,
-553,
-278,
-867,
-886,
-601,
-307,
-366,
-943,
-928,
-480,
-706,
-856,
-765,
-867,
-406,
-540,
-796,
-374,
-161,
-203,
-463,
-387,
-262,
-564,
-428,
-197,
-477,
-925,
-1100,
-490,
-76,
-101,
-235,
-120,
-183,
-758,
-753,
-645,
-452,
-225,
-527,
-280,
-6,
-101,
-62,
-118,
-409,
-165,
185,
-198,
-153,
238,
145,
-296,
-56,
-180,
-847,
-706,
-582,
-646,
-404,
-572,
-155,
127,
-208,
-143,
-122,
-237,
-436,
-170,
-170,
-229,
-126,
-10,
-110,
-134,
148,
171,
165,
304,
423,
259,
-163,
-246,
232,
292,
131,
332,
8,
-466,
-90,
4,
88,
389,
46,
-13,
317,
341,
187,
232,
268,
498,
594,
244,
321,
546,
447,
131,
140,
200,
421,
883,
588,
534,
673,
688,
1237,
1192,
1089,
977,
1041,
1455,
799,
687,
647,
372,
1136,
1347,
810,
595,
237,
567,
1305,
1010,
773,
773,
894,
1012,
1403,
1510,
538,
194,
420,
448,
1057,
1270,
826,
578,
603,
645,
732,
1171,
1191,
1058,
777,
689,
914,
829,
786,
219,
-90,
496,
654,
659,
555,
499,
904,
443,
288,
709,
1003,
1136,
516,
638,
697,
190,
256,
182,
455,
654,
496,
74,
-191,
210,
295,
768,
805,
242,
1,
-71,
128,
317,
599,
418,
-68,
-88,
-147,
-268,
-35,
226,
53,
-345,
-364,
173,
243,
-299,
-295,
60,
183,
-280,
-106,
-4,
-493,
-361,
-518,
-334,
-66,
-431,
-679,
-745,
-695,
-288,
-133,
-650,
-640,
-319,
-457,
-688,
-666,
-877,
-1212,
-496,
-310,
-801,
-857,
-649,
-574,
-1005,
-952,
-688,
-801,
-943,
-826,
-682,
-404,
-530,
-548,
-549,
-1075,
-778,
-859,
-1056,
-584,
-951,
-1130,
-492,
-714,
-820,
-63,
-623,
-1412,
-878,
-679,
-636,
-504,
-610,
-707,
-692,
-616,
-831,
-905,
-584,
-314,
-644,
-1062,
-858,
-297,
-412,
-639,
-380,
-215,
-182,
-530,
-759,
-719,
-506,
-432,
-477,
-79,
-68,
-207,
-287,
-721,
-491,
24,
-131,
-166,
-191,
-698,
-534,
-297,
-670,
-454,
-441,
-558,
-263,
-460,
-442,
-230,
-272,
50,
-72,
-400,
-230,
-262,
-607,
-533,
330,
273,
-403,
-153,
14,
-321,
-356,
-303,
-64,
216,
96,
414,
236,
-450,
-101,
201,
47,
9,
-138,
-423,
-280,
-84,
-570,
-306,
-80,
-57,
44,
-412,
-310,
117,
78,
-4,
213,
132,
28,
-11,
5,
-260,
-19,
354,
-81,
-117,
-3,
419,
714,
519,
127,
299,
772,
185,
255,
335,
-130,
270,
677,
789,
861,
584,
307,
310,
742,
949,
944,
797,
258,
484,
765,
1165,
1024,
670,
1062,
939,
633,
222,
357,
834,
1076,
1009,
784,
947,
1067,
663,
651,
1232,
814,
338,
666,
838,
657,
791,
1091,
954,
795,
757,
904,
915,
849,
900,
840,
943,
712,
439,
484,
1073,
1077,
346,
743,
674,
598,
750,
678,
824,
617,
718,
633,
432,
500,
541,
544,
650,
704,
373,
407,
689,
479,
231,
354,
709,
775,
514,
554,
479,
225,
272,
33,
59,
536,
842,
573,
204,
373,
138,
-15,
205,
388,
330,
235,
324,
118,
-20,
-229,
-284,
-288,
-306,
-177,
-204,
-293,
-127,
116,
-233,
-256,
-216,
-504,
-292,
-1,
-374,
-667,
-531,
-471,
-383,
-245,
-373,
-792,
-683,
-764,
-775,
-293,
-556,
-620,
-581,
-745,
-790,
-702,
-463,
-748,
-984,
-871,
-880,
-1025,
-803,
-708,
-570,
-237,
-103,
-350,
-776,
-1010,
-817,
-584,
-991,
-797,
-652,
-935,
-995,
-767,
-388,
-713,
-721,
-680,
-774,
-741,
-692,
15,
-191,
-703,
-771,
-869,
-855,
-932,
-617,
-210,
-418,
-887,
-665,
-496,
-389,
-178,
-380,
-507,
-409,
-373,
-431,
-613,
-765,
-764,
-678,
-444,
-589,
-761,
-251,
-122,
-642,
-713,
-775,
-596,
-133,
-121,
-294,
-395,
-679,
-501,
126,
35,
-17,
-140,
-353,
-304,
-545,
-340,
-136,
-721,
-984,
-476,
-12,
-34,
-316,
-528,
-440,
-216,
-124,
-224,
-275,
-112,
-258,
-287,
-427,
-471,
-12,
-351,
-221,
-79,
-460,
-258,
-24,
85,
-151,
63,
68,
-174,
-15,
-167,
71,
189,
-134,
-181,
-180,
-284,
-50,
180,
15,
91,
207,
217,
404,
286,
222,
231,
-151,
136,
533,
520,
396,
102,
510,
218,
-235,
216,
295,
576,
863,
637,
285,
518,
717,
276,
251,
553,
677,
735,
694,
620,
583,
436,
748,
1008,
714,
758,
582,
506,
626,
798,
1018,
973,
1245,
1084,
1023,
926,
217,
294,
1007,
947,
1008,
1120,
831,
1061,
504,
347,
950,
931,
905,
925,
792,
1004,
1395,
1125,
736,
566,
442,
501,
844,
648,
526,
817,
634,
578,
860,
998,
763,
653,
589,
681,
775,
814,
753,
88,
15,
386,
483,
793,
690,
328,
504,
614,
283,
33,
310,
982,
838,
100,
-57,
75,
86,
393,
763,
466,
160,
242,
212,
233,
87,
-37,
362,
320,
-48,
-243,
-78,
-78,
-232,
-4,
-87,
-155,
-55,
-55,
-82,
-120,
-24,
-148,
-299,
-171,
-259,
94,
-191,
-799,
-753,
-843,
-373,
-212,
-284,
-625,
-696,
-485,
-767,
-494,
-416,
-543,
-786,
-859,
-552,
-709,
-738,
-632,
-888,
-853,
-778,
-622,
-403,
-596,
-866,
-782,
-527,
-653,
-1037,
-1056,
-764,
-971,
-1020,
-787,
-666,
-467,
-371,
-648,
-916,
-770,
-421,
-516,
-808,
-733,
-510,
-712,
-799,
-434,
-544,
-608,
-920,
-1104,
-787,
-814,
-582,
-441,
-700,
-446,
-227,
-482,
-602,
-582,
-541,
-716,
-965,
-930,
-620,
-467,
-441,
-290,
-637,
-744,
-223,
-258,
-845,
-826,
-431,
-509,
-390,
-255,
-483,
-379,
-113,
-530,
-733,
-561,
-889,
-711,
-363,
-247,
-106,
-154,
-166,
-62,
-33,
-519,
-640,
-280,
-278,
-491,
-440,
-34,
-303,
-572,
-410,
-104,
207,
-89,
58,
6,
-242,
130,
-126,
-462,
-218,
-50,
-191,
-327,
-102,
-111,
-276,
-107,
-247,
-266,
169,
150,
23,
-4,
65,
254,
310,
524,
241,
-232,
-336,
-122,
170,
208,
321,
95,
-244,
-106,
195,
521,
277,
-48,
260,
553,
731,
577,
171,
346,
227,
292,
697,
373,
243,
301,
446,
786,
423,
290,
908,
685,
716,
978,
709,
519,
355,
620,
788,
498,
831,
1059,
863,
1269,
1139,
1067,
1037,
533,
438,
814,
1021,
1003,
1057,
888,
876,
1021,
1197,
714,
494,
750,
701,
825,
1175,
1330,
1060,
897,
816,
1004,
1035,
597,
194,
540,
789,
670,
607,
419,
555,
396,
654,
1112,
740,
672,
610,
375,
601,
775,
666,
445,
455,
713,
524,
477,
653,
412,
645,
600,
281,
483,
541,
151,
395,
789,
448,
158,
-13,
3,
226,
310,
529,
684,
36,
-328,
100,
547,
313,
-64,
-146,
-208,
-95,
-151,
-291,
-189,
-111,
-229,
-364,
-60,
-231,
-598,
-388,
-51,
153,
-68,
-140,
-550,
-594,
-240,
-245,
-431,
-776,
-700,
-510,
-524,
-806,
-799,
-394,
-105,
-215,
-692,
-939,
-589,
-379,
-738,
-1091,
-975,
-583,
-733,
-767,
-649,
-893,
-995,
-945,
-729,
-573,
-436,
-519,
-515,
-644,
-1028,
-869,
-635,
-734,
-1048,
-808,
-635,
-914,
-636,
-491,
-513,
-356,
-667,
-739,
-538,
-978,
-866,
-606,
-1117,
-795,
-281,
-327,
-603,
-1119,
-761,
23,
-89,
-563,
-671,
-589,
-324,
-730,
-1030,
-784,
-661,
-278,
-281,
-778,
-1149,
-761,
-106,
-115,
-608,
-669,
-337,
-493,
-576,
-464,
-571,
-611,
-406,
-430,
-777,
-551,
-421,
-116,
-9,
-202,
-112,
-355,
102,
-766,
-469,
292,
-846,
-60,
-774,
-814,
14,
-356,
-182,
-474,
-211,
-473,
-496,
-33,
-44,
132,
-445,
-381,
-763,
-221,
-39,
-440,
141,
-532,
-40,
-139,
133,
305,
67,
-47,
-87,
100,
124,
283,
34,
35,
-305,
94,
599,
359,
142,
199,
413,
264,
500,
902,
350,
16,
-255,
218,
486,
433,
513,
377,
-14,
-390,
486,
297,
232,
394,
327,
578,
593,
327,
-11,
445,
890,
793,
907,
516,
321,
472,
904,
1221,
704,
758,
842,
731,
644,
783,
864,
1185,
1519,
742,
522,
972,
656,
727,
637,
704,
1111,
1177,
1268,
873,
662,
359,
576,
1082,
798,
1059,
1054,
814,
740,
498,
718,
674,
423,
520,
777,
791,
998,
1354,
1004,
325,
463,
874,
577,
426,
745,
932,
791,
576,
434,
269,
199,
385,
452,
620,
984,
684,
342,
560,
704,
647,
426,
565,
405,
210,
192,
6,
383,
187,
45,
319,
376,
529,
388,
277,
248,
-53,
329,
639,
-76,
-515,
290,
364,
292,
261,
-936,
-10,
260,
32,
153,
-495,
-20,
-304,
127,
367,
-78,
-256,
-790,
-222,
-450,
-871,
-512,
-354,
-556,
-849,
-606,
-404,
-64,
-661,
-762,
-772,
-1271,
-543,
-170,
-375,
-1079,
-1229,
-1141,
-701,
-223,
-447,
-559,
-1037,
-825,
-837,
-659,
-257,
-290,
-395,
-897,
-887,
-912,
-698,
-673,
-1083,
-890,
-475,
-425,
-535,
-542,
-683,
-599,
-627,
-925,
-823,
-576,
-485,
-426,
-636,
-682,
-611,
-805,
-502,
-679,
-1101,
-880,
-687,
-636,
-785,
-719,
-427,
-419,
-910,
-677,
-76,
-295,
-622,
-629,
-546,
-712,
-641,
-521,
-331,
-241,
-281,
-468,
-861,
-725,
-777,
-428,
-10,
-571,
-567,
-235,
-244,
-218,
-544,
-630,
-588,
-525,
-202,
-504,
-765,
-430,
-64,
-195,
-311,
-148,
235,
265,
-271,
-258,
-424,
-501,
-342,
-451,
-399,
-280,
-375,
-411,
-223,
-75,
282,
285,
18,
-332,
-414,
358,
390,
-211,
-375,
-643,
-596,
184,
199,
-332,
101,
11,
-295,
262,
413,
413,
382,
283,
270,
194,
224,
243,
171,
230,
337,
244,
477,
577,
231,
330,
682,
799,
692,
239,
278,
556,
248,
387,
838,
670,
391,
285,
231,
622,
570,
397,
739,
759,
694,
539,
675,
961,
931,
801,
798,
719,
603,
1005,
858,
541,
886,
1089,
1158,
1165,
967,
938,
1071,
903,
646,
691,
813,
604,
665,
808,
582,
681,
684,
581,
820,
671,
464,
840,
1039,
791,
532,
740,
894,
596,
357,
548,
851,
519,
460,
566,
655,
694,
248,
538,
723,
767,
968,
656,
524,
581,
588,
739,
675,
400,
523,
551,
404,
331,
293,
591,
870,
393,
-108,
116,
561,
625,
266,
79,
-134,
99,
588,
455,
73,
-131,
201,
123,
-103,
204,
-72,
-13,
297,
-278,
-389,
35,
226,
24,
-185,
-465,
-390,
-195,
-526,
-143,
17,
-376,
-393,
-357,
-349,
-232,
-228,
-375,
-580,
-477,
-376,
-662,
-564,
-695,
-1230,
-1177,
-828,
-811,
-519,
-476,
-709,
-389,
-487,
-589,
-544,
-886,
-1026,
-895,
-1106,
-964,
-356,
-495,
-464,
-582,
-835,
-997,
-1291,
-998,
-259,
282,
-99,
-470,
-966,
-1151,
-1080,
-854,
-302,
-545,
-771,
-807,
-903,
-1158,
-926,
-290,
-470,
-686,
-671,
-503,
-494,
-1020,
-1107,
-694,
-375,
-360,
-483,
-384,
-540,
-903,
-644,
-481,
-630,
-655,
-604,
-407,
-262,
-56,
-280,
-525,
-525,
-865,
-543,
-141,
-295,
-473,
-575,
-463,
-457,
-260,
-138,
-254,
-423,
-691,
-225,
-185,
-512,
-268,
-114,
-37,
-418,
-669,
-601,
-600,
-330,
-303,
-695,
-582,
-86,
-59,
-156,
-112,
-87,
-3,
-329,
-514,
-149,
-189,
-332,
-343,
-283,
-128,
80,
313,
-48,
-118,
389,
58,
-316,
-78,
-151,
-266,
-3,
365,
13,
-464,
-224,
51,
36,
2,
25,
293,
264,
34,
281,
-60,
28,
460,
249,
212,
319,
567,
587,
564,
320,
373,
695,
786,
692,
157,
597,
902,
616,
592,
548,
139,
6,
393,
581,
1104,
1163,
921,
816,
774,
1021,
1193,
1147,
882,
471,
291,
751,
1263,
1202,
881,
907,
869,
579,
801,
896,
622,
756,
913,
815,
776,
1000,
1224,
1007,
799,
632,
699,
797,
863,
964,
1058,
1196,
421,
122,
719,
1101,
1269,
795,
277,
223,
484,
993,
901,
680,
773,
760,
535,
490,
508,
614,
1033,
754,
609,
568,
361,
522,
537,
193,
-49,
475,
495,
352,
481,
310,
356,
259,
355,
102,
49,
259,
15,
237,
255,
748,
987,
693,
461,
-308,
280,
310,
238,
381,
-221,
-73,
-227,
-185,
-253,
-155,
-26,
153,
312,
-478,
-465,
-210,
-301,
39,
-117,
-4,
34,
-606,
-650,
-485,
-416,
-292,
-433,
-825,
-679,
-374,
-565,
-928,
-1206,
-741,
-431,
-328,
-116,
-389,
-590,
-833,
-875,
-886,
-973,
-1005,
-910,
-835,
-1117,
-1048,
-820,
-677,
-606,
-881,
-1209,
-945,
-625,
-680,
-805,
-905,
-856,
-546,
-515,
-777,
-606,
-534,
-771,
-810,
-723,
-648,
-581,
-659,
-517,
-476,
-772,
-675,
-503,
-893,
-1255,
-718,
-239,
-323,
-611,
-790,
-556,
-566,
-546,
-402,
-379,
-547,
-490,
-471,
-704,
-385,
-267,
-507,
-584,
-696,
-851,
-723,
-628,
-615,
-391,
-222,
-359,
-350,
-596,
-466,
-120,
-374,
-259,
-184,
-25,
-493,
-1130,
-632,
3,
-184,
-545,
-507,
-516,
-213,
-342,
-310,
33,
-217,
-198,
-418,
-660,
-503,
-193,
-165,
-179,
-284,
-603,
-225,
-185,
-110,
194,
88,
56,
-373,
-435,
36,
46,
-143,
-501,
-533,
73,
500,
210,
-379,
-394,
-134,
174,
600,
471,
23,
128,
515,
116,
-42,
103,
175,
533,
226,
50,
658,
946,
586,
326,
30,
212,
782,
606,
323,
469,
518,
418,
678,
470,
40,
458,
584,
549,
818,
1213,
1173,
858,
926,
961,
803,
310,
358,
834,
951,
1122,
1204,
738,
448,
450,
714,
1172,
899,
409,
579,
830,
799,
843,
982,
922,
794,
628,
856,
1598,
1498,
956,
353,
230,
916,
1200,
1025,
838,
977,
666,
212,
697,
889,
673,
645,
143,
158,
879,
903,
761,
681,
559,
347,
597,
1038,
640,
591,
677,
461,
583,
673,
611,
526,
483,
301,
140,
542,
881,
597,
273,
183,
310,
578,
600,
400,
284,
233,
264,
549,
439,
196,
164,
230,
-103,
-293,
70,
-71,
508,
585,
-108,
-185,
-131,
235,
221,
-57,
-93,
-193,
-91,
-117,
-420,
-330,
75,
128,
-125,
-408,
-638,
-500,
-305,
-583,
-668,
-396,
-442,
-389,
-497,
-655,
-626,
-974,
-1290,
-940,
-481,
-599,
-850,
-759,
-716,
-904,
-761,
-621,
-495,
-710,
-1193,
-1031,
-801,
-670,
-707,
-937,
-1145,
-931,
-604,
-773,
-870,
-910,
-647,
-581,
-627,
-694,
-923,
-767,
-729,
-543,
-502,
-982,
-1101,
-727,
-792,
-674,
-563,
-1004,
-738,
-577,
-665,
-518,
-510,
-687,
-976,
-752,
-652,
-809,
-912,
-764,
-598,
-668,
-381,
-545,
-741,
-518,
-338,
-182,
-411,
-937,
-999,
-269,
443,
371,
-401,
-898,
-1076,
-1060,
-661,
-384,
-428,
-343,
-277,
-467,
-493,
-302,
-45,
-121,
-201,
-278,
-529,
-519,
-536,
-441,
-710,
-600,
122,
-24,
-103,
-41,
-456,
-810,
-359,
-306,
-421,
48,
27,
158,
120,
-480,
-708,
-254,
-119,
4,
-126,
-533,
-300,
-185,
147,
142,
78,
374,
27,
-197,
9,
-189,
-123,
21,
-121,
173,
96,
197,
179,
81,
313,
202,
105,
151,
422,
498,
383,
218,
179,
399,
566,
363,
262,
418,
652,
775,
560,
447,
335,
405,
669,
820,
642,
239,
289,
658,
964,
1237,
968,
592,
579,
608,
922,
1204,
1183,
963,
802,
583,
499,
862,
896,
698,
791,
935,
941,
1004,
1108,
1084,
966,
1058,
894,
908,
960,
531,
777,
882,
908,
974,
953,
972,
581,
507,
370,
443,
834,
907,
829,
816,
974,
1141,
1139,
795,
628,
375,
110,
347,
596,
591,
609,
637,
399,
577,
907,
659,
100,
-10,
324,
486,
259,
139,
423,
318,
400,
566,
440,
464,
331,
347,
335,
358,
317,
171,
307,
470,
670,
416,
117,
230,
78,
-206,
126,
96,
-479,
-590,
-100,
195,
-65,
106,
-18,
-17,
185,
-23,
-336,
-570,
-124,
-252,
-59,
-2,
-781,
-469,
-331,
-744,
-852,
-579,
-409,
-518,
-554,
-460,
-395,
-531,
-974,
-951,
-509,
-717,
-761,
-578,
-912,
-988,
-726,
-727,
-625,
-653,
-512,
-334,
-799,
-890,
-877,
-913,
-625,
-742,
-638,
-727,
-971,
-965,
-991,
-746,
-837,
-666,
-301,
-702,
-992,
-628,
-781,
-665,
-335,
-853,
-832,
-824,
-777,
-511,
-729,
-433,
-244,
-521,
-641,
-683,
-616,
-655,
-969,
-784,
-516,
-686,
-560,
-354,
-322,
-495,
-658,
-877,
-636,
-332,
-562,
-37,
-104,
-605,
-479,
-496,
-448,
-603,
-619,
-438,
-493,
-604,
-367,
-337,
-518,
-443,
-331,
-540,
-849,
-520,
-445,
-450,
-232,
-263,
-360,
-236,
-390,
-406,
-31,
-160,
-340,
-435,
-336,
-388,
-655,
-455,
-96,
-125,
-54,
-102,
-346,
-183,
-416,
-369,
306,
452,
59,
-123,
45,
79,
-84,
-283,
-40,
175,
-125,
-415,
-314,
-259,
-139,
207,
129,
57,
100,
310,
258,
-184,
-242,
-227,
145,
364,
149,
169,
236,
452,
647,
539,
474,
522,
314,
284,
454,
617,
609,
569,
671,
766,
662,
483,
686,
612,
672,
885,
1045,
1070,
658,
622,
547,
589,
908,
899,
823,
702,
677,
1032,
1046,
577,
906,
1413,
1119,
934,
944,
967,
897,
841,
795,
862,
805,
294,
551,
1184,
1397,
1197,
950,
780,
642,
862,
894,
924,
923,
810,
811,
1006,
987,
782,
894,
374,
299,
798,
688,
544,
371,
194,
581,
835,
859,
961,
699,
464,
355,
447,
413,
347,
675,
467,
313,
437,
119,
585,
890,
271,
-37,
127,
305,
262,
533,
906,
486,
16,
-109,
-327,
150,
345,
-165,
-31,
271,
445,
507,
446,
141,
-302,
-153,
81,
-34,
-159,
-117,
130,
165,
-111,
-387,
-404,
-142,
-194,
-202,
-351,
-354,
286,
66,
-509,
-348,
-353,
-617,
-434,
-306,
-575,
-579,
-515,
-570,
-725,
-852,
-489,
-930,
-1263,
-233,
-785,
-1226,
-513,
-478,
-546,
-1057,
-1043,
-695,
-449,
-683,
-809,
-830,
-1249,
-688,
-768,
-947,
-774,
-1790,
-884,
308,
-959,
-1332,
-870,
-628,
-1090,
-1035,
-225,
-298,
-900,
-937,
-469,
-552,
-1184,
-1427,
-743,
-302,
-610,
-596,
-145,
-514,
-938,
-1262,
-1022,
-89,
-305,
-711,
-559,
-723,
-1081,
-841,
-582,
-653,
-656,
-152,
258,
-459,
-464,
-263,
-794,
-530,
-82,
-33,
-254,
-731,
-795,
-416,
-308,
-620,
-642,
-227,
-675,
-1063,
29,
563,
-624,
-527,
366,
-141,
-445,
-99,
-43,
-349,
-713,
-725,
-230,
-250,
-727,
-365,
10,
-511,
-308,
-314,
-194,
503,
-125,
-657,
-198,
59,
48,
-116,
-642,
-401,
-60,
-299,
-49,
95,
-7,
159,
-98,
89,
419,
-35,
-52,
349,
247,
-115,
80,
115,
-215,
-30,
50,
-132,
-229,
420,
726,
102,
260,
209,
335,
439,
-13,
212,
450,
618,
564,
348,
422,
657,
459,
377,
766,
435,
275,
515,
582,
951,
860,
568,
730,
719,
1147,
1069,
674,
1062,
1220,
1095,
854,
748,
617,
958,
1149,
945,
1394,
1351,
1058,
651,
438,
1160,
1138,
1257,
908,
370,
1132,
1334,
1256,
811,
247,
37,
405,
753,
947,
1174,
1080,
882,
533,
544,
702,
750,
940,
875,
218,
314,
624,
686,
612,
397,
905,
817,
765,
759,
83,
446,
1002,
991,
740,
655,
594,
435,
507,
368,
174,
187,
60,
51,
26,
414,
782,
256,
204,
233,
197,
245,
210,
152,
-76,
-14,
152,
152,
-69,
-185,
448,
537,
-113,
-279,
-338,
-370,
-118,
282,
-204,
-509,
-459,
-354,
19,
-309,
-282,
-88,
-135,
-209,
-336,
-278,
-238,
-462,
-722,
-548,
-78,
-177,
-743,
-291,
-334,
-829,
-747,
-777,
-597,
-549,
-555,
-489,
-412,
-651,
-694,
-525,
-959,
-1006,
-726,
-788,
-888,
-927,
-746,
-439,
-487,
-594,
-527,
-489,
-329,
-518,
-785,
-641,
-755,
-746,
-652,
-770,
-689,
-753,
-862,
-1039,
-1106,
-812,
-515,
-317,
-626,
-1106,
-602,
-438,
-950,
-756,
-569,
-624,
-600,
-855,
-737,
-514,
-677,
-627,
-905,
-587,
-388,
-358,
19,
-725,
-860,
-467,
-408,
-423,
-674,
-972,
-633,
-200,
-517,
-652,
-814,
-483,
-133,
-392,
-284,
-333,
-552,
-210,
-150,
-461,
-705,
-722,
-400,
-438,
-505,
-389,
-229,
-314,
-473,
-128,
-35,
-118,
12,
75,
-24,
-246,
-277,
-355,
-276,
-321,
-489,
-187,
-188,
-143,
-43,
-255,
-455,
-456,
-1,
312,
80,
-39,
-209,
-388,
99,
299,
2,
258,
202,
-150,
-30,
7,
92,
527,
439,
-13,
25,
69,
229,
-65,
-103,
40,
-102,
28,
-61,
104,
200,
508,
538,
136,
558,
1081,
626,
43,
309,
215,
144,
232,
46,
234,
564,
747,
727,
918,
1080,
1224,
1182,
927,
839,
905,
978,
850,
724,
657,
1091,
1083,
602,
665,
812,
1025,
1057,
947,
922,
963,
953,
884,
829,
933,
1288,
1316,
887,
557,
606,
666,
1407,
1510,
636,
684,
1091,
1157,
839,
839,
728,
768,
639,
265,
547,
421,
626,
765,
719,
862,
638,
554,
588,
334,
330,
974,
800,
543,
267,
167,
402,
579,
899,
536,
597,
369,
136,
510,
689,
771,
581,
363,
485,
679,
416,
56,
-281,
-218,
413,
639,
164,
-88,
252,
85,
-218,
91,
313,
135,
-187,
-22,
-127,
-316,
-58,
-127,
-143,
-123,
-350,
-204,
-340,
-634,
-416,
-458,
-71,
7,
-463,
-523,
-546,
-441,
-327,
-298,
-292,
-292,
-547,
-476,
-436,
-632,
-527,
-708,
-844,
-764,
-748,
-758,
-369,
-162,
-595,
-918,
-927,
-833,
-600,
-561,
-700,
-831,
-885,
-622,
-715,
-718,
-830,
-1044,
-501,
-358,
-589,
-703,
-793,
-774,
-638,
-575,
-1097,
-984,
-439,
-489,
-711,
-887,
-858,
-925,
-610,
-492,
-694,
-570,
-883,
-1184,
-890,
-379,
-194,
-488,
-1086,
-878,
-471,
-1062,
-1024,
-461,
-536,
-593,
-732,
-936,
-495,
-367,
-503,
-499,
-463,
-325,
-430,
-232,
-673,
-855,
-367,
-246,
-114,
-422,
-442,
-429,
-850,
-739,
-166,
-84,
-307,
-592,
-707,
-390,
-127,
-251,
-616,
-619,
-718,
-365,
-167,
-475,
-157,
-111,
-113,
-181,
-309,
-602,
-542,
-63,
-641,
-413,
202,
-131,
190,
106,
-325,
-214,
-327,
-299,
-284,
-276,
123,
171,
-99,
-385,
-719,
-285,
282,
418,
176,
-89,
0,
-204,
99,
482,
184,
-205,
5,
250,
-91,
203,
287,
-132,
-88,
-37,
130,
679,
919,
378,
251,
566,
332,
521,
883,
287,
-93,
229,
386,
615,
698,
888,
886,
523,
119,
-184,
941,
1258,
789,
998,
662,
565,
570,
752,
1436,
1478,
1121,
1026,
695,
471,
640,
858,
1066,
950,
929,
1128,
1025,
700,
903,
1282,
1187,
1338,
1242,
948,
752,
857,
977,
524,
990,
1387,
837,
762,
923,
1020,
1081,
1061,
881,
455,
429,
831,
940,
847,
870,
497,
559,
292,
346,
1067,
572,
526,
488,
536,
927,
636,
267,
237,
445,
183,
43,
413,
818,
873,
337,
186,
206,
45,
196,
210,
7,
72,
78,
58,
510,
303,
167,
409,
159,
-5,
45,
259,
-197,
-63,
221,
-380,
-445,
-196,
-218,
-124,
355,
-272,
-748,
103,
-127,
-768,
-103,
16,
-267,
58,
-169,
-272,
40,
-181,
-447,
-452,
-595,
-285,
-148,
-769,
-882,
-618,
-725,
-912,
-805,
-447,
-447,
-887,
-815,
-637,
-753,
-934,
-1056,
-494,
-160,
-497,
-564,
-552,
-608,
-852,
-957,
-746,
-537,
-272,
-375,
-725,
-906,
-595,
-904,
-913,
-145,
-211,
-496,
-849,
-902,
-485,
-382,
-904,
-1068,
-810,
-766,
-694,
-625,
-672,
-872,
-722,
-540,
-671,
-725,
-648,
-303,
-629,
-1008,
-813,
-914,
-400,
-138,
-694,
-567,
-446,
-816,
-563,
70,
-248,
-458,
-534,
-1044,
-525,
-262,
-390,
-431,
-523,
-488,
-542,
-500,
-874,
-840,
-392,
-355,
-166,
-52,
-101,
-245,
-650,
-926,
-832,
-572,
-238,
-17,
-324,
-589,
-287,
-14,
-175,
-230,
-184,
-393,
-227,
342,
-55,
-838,
-321,
103,
-314,
-444,
-347,
-507,
-248,
257,
270,
356,
385,
288,
32,
-301,
-114,
6,
332,
443,
-222,
-432,
-190,
110,
143,
102,
-163,
3,
706,
444,
68,
105,
289,
244,
204,
407,
213,
364,
181,
-278,
206,
694,
695,
483,
351,
548,
627,
573,
540,
165,
210,
693,
464,
222,
425,
425,
744,
1105,
746,
575,
852,
562,
342,
698,
908,
1320,
1255,
663,
520,
730,
1100,
1230,
1125,
685,
283,
815,
1374,
960,
833,
1015,
702,
824,
1009,
1037,
1208,
844,
534,
977,
988,
771,
1036,
1026,
810,
628,
754,
719,
403,
859,
1164,
1111,
1143,
532,
255,
885,
1053,
787,
894,
820,
674,
799,
809,
717,
625,
562,
485,
729,
1030,
764,
481,
569,
286,
55,
350,
257,
-35,
43,
251,
287,
487,
463,
635,
875,
43,
49,
469,
258,
276,
-223,
-391,
-32,
44,
90,
-147,
-195,
126,
264,
-15,
-186,
-49,
-61,
-294,
-312,
-292,
-473,
-433,
-536,
-527,
-665,
-786,
-479,
-632,
-553,
-280,
-581,
-714,
-631,
-721,
-1021,
-782,
-434,
-584,
-572,
-920,
-1230,
-1001,
-499,
-620,
-687,
-687,
-1314,
-992,
-368,
-409,
-840,
-1308,
-747,
-958,
-1140,
561,
-617,
-2266,
-1244,
156,
202,
-955,
-1544,
-1022,
-97,
-454,
-477,
-338,
-637,
-570,
-616,
-677,
-712,
-585,
-288,
-40,
-478,
-821,
-421,
-814,
-1137,
-244,
-75,
-653,
-782,
-302,
-252,
-804,
-832,
-285,
210,
-37,
-465,
-407,
-198,
-527,
-859,
-738,
-209,
-39,
-372,
-373,
-179,
-226,
-799,
-893,
-207,
17,
-298,
-318,
-236,
-361,
-333,
-415,
-904,
-917,
-516,
-171,
-190,
-481,
-177,
-289,
-810,
-325,
38,
-278,
-496,
-889,
-960,
-442,
-71,
-360,
-680,
-368,
-409,
-376,
-384,
-633,
-231,
-259,
-731,
-671,
-309,
-247,
-718,
-797,
-113,
-375,
-580,
-280,
-511,
-290,
-220,
-42,
-115,
-461,
-40,
-321,
-452,
174,
94,
252,
152,
-139,
224,
130,
66,
188,
-71,
-69,
280,
717,
1009,
722,
434,
238,
293,
785,
1063,
909,
136,
32,
911,
1221,
1083,
899,
785,
855,
1066,
995,
792,
1117,
1339,
1380,
1543,
1190,
1000,
1034,
719,
991,
1325,
1605,
2095,
1885,
1254,
995,
919,
1238,
1635,
1357,
1233,
900,
1102,
1590,
1459,
1599,
1476,
1258,
1240,
1242,
1445,
1089,
412,
640,
851,
959,
878,
331,
244,
511,
472,
211,
279,
221,
474,
678,
406,
400,
134,
169,
381,
505,
224,
-100,
164,
59,
26,
-87,
261,
671,
116,
194,
-105,
-733,
-295,
-402,
-562,
-620,
-877,
-387,
-542,
-725,
-793,
-698,
-69,
-217,
-340,
-711,
-650,
-688,
-962,
-103,
-136,
-568,
-794,
-867,
-643,
-563,
-244,
-200,
-109,
194,
598,
785,
764,
666,
49,
326,
973,
1549,
2050,
1226,
468,
-134,
-315,
960,
1583,
1578,
1319,
220,
-283,
314,
803,
995,
1210,
891,
382,
-93,
-265,
-246,
-148,
387,
380,
154,
-220,
-1213,
-1162,
-559,
-378,
-235,
-174,
-857,
-1225,
-1008,
-1415,
-556,
11,
-652,
-949,
-1336,
-1391,
-1281,
-1083,
-1244,
-1040,
-782,
-1428,
-1645,
-1515,
-1490,
-1294,
-960,
-1458,
-1893,
-1317,
-1143,
-1224,
-1132,
-1586,
-1792,
-1663,
-1723,
-1110,
-378,
-927,
-2067,
-2097,
-1635,
-1272,
-715,
-553,
-802,
-1542,
-2304,
-2109,
-1101,
-617,
-1514,
-2023,
-2065,
-1740,
-1347,
-1631,
-1235,
-1115,
-1513,
-1498,
-1231,
-719,
-10,
109,
-210,
-597,
-244,
567,
864,
1085,
1238,
814,
88,
-27,
481,
1595,
-2551,
-4223,
1190,
4577,
5073,
1599,
-1107,
-585,
1084,
2985,
3542,
2049,
40,
-698,
11,
1911,
3229,
2204,
-368,
-1852,
-959,
1788,
2961,
1049,
-20,
-739,
-1779,
-263,
997,
1886,
463,
-2509,
-2321,
-869,
1058,
1466,
389,
-921,
-1470,
-711,
447,
893,
674,
35,
-1077,
-632,
391,
948,
637,
390,
245,
-408,
273,
990,
1233,
1283,
355,
-206,
27,
694,
952,
137,
-214,
-115,
-283,
258,
712,
104,
-102,
-486,
-865,
-436,
-30,
116,
-839,
-1470,
-1130,
-957,
-1095,
-1007,
-738,
-1352,
-1907,
-1165,
-601,
-394,
-123,
-874,
-1511,
-1245,
71,
1533,
2248,
1976,
863,
391,
1170,
2450,
3788,
4528,
3658,
2638,
2369,
2615,
3109,
4056,
4771,
3859,
2913,
2731,
2831,
3118,
3226,
3123,
2740,
2335,
2292,
1763,
1192,
1391,
942,
506,
833,
944,
667,
-104,
-753,
-1037,
-592,
135,
-32,
-660,
-1048,
-1671,
-1665,
-654,
-371,
254,
-229,
-1527,
-1280,
-347,
675,
617,
328,
-156,
-679,
-40,
900,
1338,
1166,
623,
-76,
284,
1279,
1625,
1776,
1253,
516,
52,
328,
1167,
729,
30,
-353,
-550,
-598,
-438,
-308,
-982,
-1678,
-2132,
-1627,
-1366,
-1516,
-1413,
-2358,
-2710,
-2701,
-2516,
-2171,
-2561,
-2975,
-3257,
-3367,
-3168,
-2743,
-2435,
-2697,
-3311,
-3190,
-3638,
-3344,
-3003,
-3516,
-2604,
-2075,
-1886,
-2138,
-2286,
-1229,
463,
1897,
1918,
-1,
-1685,
-716,
2122,
4990,
5007,
2292,
298,
374,
1442,
2757,
3784,
3720,
2427,
933,
592,
1498,
2340,
2344,
1939,
1041,
782,
880,
23,
-283,
-618,
-910,
-528,
-310,
-546,
-1583,
-2677,
-3104,
-2505,
-1614,
-975,
-1134,
-2651,
-3184,
-2708,
-1749,
-858,
-1213,
-1269,
-1431,
-1889,
-1407,
-691,
-266,
264,
-4,
-22,
365,
216,
590,
1172,
1335,
1065,
1202,
1149,
1302,
1349,
647,
465,
649,
1220,
1514,
718,
-227,
-524,
-768,
-402,
80,
-239,
-710,
-1260,
-1939,
-1889,
-1561,
-1268,
-1694,
-2286,
-2215,
-2691,
-2764,
-2548,
-2551,
-2606,
-2148,
-2552,
-3130,
-2548,
-2641,
-2527,
-2637,
-2559,
-2849,
-3723,
-2890,
-2124,
-1501,
-1731,
-1641,
-2016,
-1389,
874,
1974,
3042,
1972,
302,
215,
1302,
4411,
6701,
4961,
2201,
923,
2603,
5338,
6273,
5331,
4432,
3750,
3126,
3572,
4468,
4807,
3707,
2935,
1879,
1636,
2322,
2385,
1472,
138,
499,
737,
1145,
944,
-311,
-1073,
-1393,
-1130,
-15,
388,
-597,
-1992,
-2455,
-1815,
-313,
1078,
303,
-657,
-1085,
-673,
133,
1135,
2092,
1417,
269,
272,
731,
1836,
3031,
2849,
2100,
1787,
2384,
2689,
2819,
2727,
2236,
1956,
2008,
2001,
2099,
1754,
172,
-105,
63,
582,
1453,
814,
-251,
-1287,
-1424,
-1172,
-594,
-547,
-1516,
-1676,
-2186,
-2749,
-2603,
-1834,
-1740,
-2188,
-2428,
-2562,
-2619,
-2479,
-2318,
-2647,
-2186,
-2573,
-3152,
-3665,
-3395,
-3182,
-2533,
-2125,
-1672,
-197,
-1125,
-476,
919,
1560,
2144,
1258,
-167,
1849,
5021,
5990,
3291,
52,
933,
3748,
6198,
5759,
3850,
2543,
2780,
2587,
2441,
3613,
4343,
3432,
1331,
-198,
-102,
1273,
993,
353,
-541,
-665,
-937,
-2113,
-2319,
-2531,
-2205,
-2172,
-2755,
-2537,
-2507,
-3142,
-3763,
-4298,
-2478,
-839,
-1485,
-2876,
-2781,
-2091,
-2379,
-1267,
-297,
40,
262,
-358,
-1390,
-1034,
1118,
2135,
1463,
1162,
472,
-80,
1237,
2322,
2215,
1503,
952,
326,
435,
945,
357,
-760,
-720,
-314,
-403,
-150,
-1084,
-1850,
-1747,
-1884,
-2449,
-2729,
-2016,
-2382,
-3266,
-3419,
-3662,
-3020,
-2674,
-3043,
-3173,
-3736,
-3891,
-3560,
-3303,
-3048,
-3156,
-3578,
-3828,
-3795,
-4059,
-4226,
-3900,
-3472,
-3208,
-3209,
-1730,
-601,
-193,
1774,
1450,
296,
-78,
-668,
1552,
5524,
8131,
6031,
259,
-1382,
1765,
6667,
9502,
6803,
3593,
1841,
1845,
3315,
4104,
5052,
4878,
2579,
424,
50,
1485,
1576,
562,
757,
426,
13,
-572,
-2036,
-2770,
-2827,
-2356,
-1315,
-403,
-771,
-2843,
-4720,
-4982,
-3243,
-57,
1041,
-324,
-2092,
-2852,
-2461,
-1399,
922,
2119,
2297,
899,
-595,
146,
519,
2516,
3939,
3708,
4172,
3177,
1398,
1523,
2637,
2983,
3012,
4056,
4089,
1991,
459,
-509,
213,
1927,
2905,
2321,
165,
-1251,
-2427,
-2356,
-270,
657,
125,
-1167,
-2873,
-3360,
-3182,
-1835,
-1242,
-1408,
-1140,
-2150,
-3224,
-3563,
-2363,
-1370,
-1209,
-1610,
-2814,
-2671,
-3210,
-4140,
-2047,
-2971,
-1731,
-192,
-2922,
-2229,
-992,
76,
4317,
6293,
2561,
-1737,
-3241,
1065,
7791,
12570,
10567,
3098,
-2981,
-779,
7192,
11508,
11389,
6905,
1916,
1410,
3004,
4379,
6570,
6151,
4181,
2574,
578,
639,
1393,
1335,
633,
743,
360,
262,
180,
-2674,
-5442,
-4596,
-1771,
1005,
2032,
-1733,
-6895,
-7929,
-4320,
-378,
2463,
1980,
-1450,
-4503,
-5141,
-3605,
-1324,
2059,
2942,
1376,
-1181,
-1607,
-541,
1604,
5727,
5718,
4586,
5129,
3991,
3187,
3681,
3206,
4152,
5397,
5693,
3987,
702,
-1323,
-1659,
-410,
808,
1428,
-333,
-2901,
-4807,
-5934,
-4175,
-1261,
-946,
-1767,
-3587,
-6147,
-5903,
-4818,
-3159,
-1611,
-2006,
-3287,
-4569,
-5644,
-5669,
-4513,
-3573,
-3398,
-3714,
-4643,
-6690,
-7163,
-6220,
-5501,
-3666,
-3349,
-4676,
-6698,
-7511,
-5928,
-2915,
2913,
7018,
5638,
-1695,
-9619,
-9599,
1471,
15128,
18927,
8525,
-5825,
-10417,
-1546,
11445,
16507,
11856,
3154,
-1750,
-1014,
1957,
4561,
6876,
7026,
5037,
1424,
-1469,
-1447,
239,
1909,
909,
-271,
-82,
690,
-601,
-5249,
-8966,
-7686,
-752,
4792,
2279,
-5325,
-11165,
-10285,
-3579,
1686,
3513,
1863,
-2073,
-4625,
-5580,
-4148,
217,
4746,
5572,
3246,
-1159,
-4829,
-1982,
2140,
4462,
5319,
3489,
1621,
513,
-307,
-985,
-217,
2234,
4068,
3667,
509,
-3201,
-4498,
-3788,
-681,
1832,
1838,
-200,
-3558,
-6199,
-6333,
-4020,
-632,
1643,
-339,
-3182,
-5911,
-7078,
-4370,
-1452,
148,
100,
-1500,
-3531,
-4909,
-3811,
-1828,
14,
1380,
245,
-1521,
-1927,
-2752,
-3592,
-2316,
-374,
855,
1467,
-489,
-5955,
-8246,
-4796,
5482,
17125,
17919,
2495,
-14853,
-18512,
-559,
25059,
32380,
15640,
-9840,
-18530,
-4748,
15338,
23257,
16539,
4363,
-2794,
-2565,
686,
4249,
7894,
8489,
5615,
859,
-3919,
-3287,
742,
1802,
-1428,
-4074,
-1649,
4347,
5207,
-4450,
-13638,
-12877,
-1996,
9824,
9764,
-2708,
-12925,
-12287,
-4680,
2436,
5696,
5067,
3327,
743,
-4008,
-6164,
-2164,
6732,
12701,
9995,
2539,
-3564,
-3056,
5006,
8706,
7674,
6264,
4184,
4932,
4062,
495,
-1176,
1064,
5735,
7636,
5018,
-1127,
-5372,
-4696,
-2712,
78,
2433,
2558,
247,
-4083,
-8499,
-8996,
-4606,
1437,
3297,
-192,
-4603,
-8058,
-7709,
-3641,
-605,
587,
343,
-1347,
-4476,
-6042,
-4869,
-2763,
396,
899,
-1588,
-3695,
-4752,
-3795,
-3545,
-4773,
-3724,
-3152,
-1131,
-460,
-5270,
-9971,
-12846,
-6574,
10546,
24037,
16089,
-8656,
-29699,
-23041,
10851,
32185,
31221,
6673,
-24601,
-24803,
-331,
23123,
27378,
14283,
-1026,
-7218,
-4653,
248,
5176,
8589,
8578,
4159,
-3050,
-6435,
-2664,
2598,
-80,
-7870,
-10129,
-955,
10374,
7623,
-9377,
-24410,
-20367,
507,
16737,
12502,
-4851,
-17896,
-17591,
-6893,
1964,
6160,
8744,
7158,
341,
-9820,
-13229,
-4939,
10305,
19402,
12187,
-2534,
-9208,
-2840,
6001,
8394,
5044,
273,
3579,
9449,
4434,
-5084,
-9990,
-5945,
5390,
12128,
6743,
-3099,
-9373,
-12009,
-8315,
-2209,
3067,
5976,
2365,
-7036,
-15526,
-15186,
-5421,
5558,
8030,
1903,
-7079,
-11222,
-8177,
-2652,
495,
2598,
2713,
413,
-1767,
-5159,
-5462,
-2115,
1418,
2766,
1092,
-1975,
-3063,
-2058,
-4056,
-6558,
-4905,
-2949,
-167,
1669,
-3067,
-9829,
-13379,
-12072,
-3505,
16016,
30241,
14557,
-13478,
-32768,
-23321,
15626,
32767,
31304,
4866,
-29862,
-26001,
1143,
27347,
31458,
15022,
-876,
-4887,
-2292,
555,
4245,
6452,
8572,
7345,
-82,
-5378,
-2620,
250,
-1754,
-8188,
-10980,
1370,
14377,
9805,
-9856,
-27216,
-23135,
674,
20349,
15945,
-3561,
-16464,
-15456,
-6239,
3503,
6817,
9626,
12151,
6770,
-3361,
-10644,
-5132,
9048,
20107,
17855,
4279,
-2097,
622,
5669,
6818,
1316,
2434,
10190,
14639,
9416,
-4678,
-13710,
-8657,
4718,
12932,
9692,
-311,
-7985,
-10090,
-9572,
-5967,
-130,
4950,
5682,
-1010,
-11055,
-14566,
-9324,
-29,
7683,
5520,
-1758,
-4430,
-4794,
-3229,
-916,
-1109,
1031,
4601,
5872,
2544,
-3267,
-5591,
-4476,
-878,
1483,
2244,
1404,
-157,
-4051,
-10919,
-11610,
-7717,
-63,
5366,
2069,
-7069,
-16663,
-20410,
-4189,
23953,
32767,
14631,
-19089,
-32768,
-14377,
25394,
32767,
28511,
-4978,
-30502,
-14671,
12101,
31947,
25663,
8225,
-3016,
-2877,
1036,
4641,
5042,
3619,
3460,
-844,
-5298,
-2534,
3934,
2729,
-7126,
-20438,
-19520,
599,
17520,
12050,
-13012,
-31536,
-24585,
271,
15273,
9799,
-3161,
-11033,
-9423,
-3609,
-1979,
9,
6531,
13110,
13008,
2399,
-7064,
-4564,
5443,
13212,
11318,
3776,
3489,
9505,
8676,
-1445,
-10847,
-6712,
8379,
17928,
12277,
-8224,
-20860,
-14536,
-1623,
6965,
5588,
-2991,
-9219,
-9549,
-9502,
-10432,
-7165,
-505,
3189,
1880,
-5853,
-11299,
-8659,
-1377,
3558,
1747,
-1344,
-400,
2881,
3298,
-746,
-6239,
-4870,
2282,
7316,
6716,
1107,
-4204,
-6261,
-5484,
-5601,
-3355,
-128,
497,
-1422,
-10994,
-17277,
-16583,
-9414,
91,
-356,
-5095,
-11975,
-21262,
-5704,
22775,
29990,
14331,
-17718,
-32768,
-7603,
27343,
32767,
28225,
-5062,
-26479,
-11507,
13987,
32767,
28164,
10823,
-2408,
-4624,
-2204,
4630,
5588,
1911,
1427,
-3611,
-8031,
-5162,
-2966,
-3111,
-8937,
-21129,
-19435,
-4160,
10380,
10788,
-10488,
-29496,
-25564,
-3938,
13531,
14194,
3856,
-6433,
-7627,
-3057,
43,
4272,
11830,
19012,
20622,
10881,
-1466,
-4275,
3249,
13562,
17025,
12785,
7269,
6440,
4438,
-1817,
-7257,
-6773,
3156,
11105,
7267,
-4312,
-16047,
-16554,
-6998,
-645,
-476,
-3405,
-5791,
-3852,
-3429,
-7723,
-10310,
-6171,
2033,
8036,
6387,
-142,
-3909,
-2170,
2933,
5301,
4014,
3871,
6991,
8318,
4908,
-767,
-5366,
-2954,
3926,
7455,
5448,
-568,
-4986,
-8234,
-9437,
-8228,
-6402,
-2916,
-2569,
-7526,
-14751,
-17363,
-15278,
-5863,
-171,
-1092,
-11069,
-19564,
6762,
30999,
32767,
10332,
-28145,
-31952,
8509,
32767,
32767,
25165,
-11114,
-24965,
-5579,
20934,
32767,
28841,
13205,
-1079,
-7817,
-5998,
-217,
-801,
-1780,
-4659,
-8976,
-9967,
-6450,
-5121,
-7043,
-18268,
-29132,
-21367,
-2687,
14706,
12055,
-9310,
-25411,
-20467,
-1881,
12563,
16773,
14003,
9265,
6187,
3024,
336,
4270,
13570,
23879,
25235,
16339,
5552,
725,
3240,
5249,
3895,
2961,
4593,
8045,
6095,
-4663,
-15851,
-19856,
-13098,
-1820,
2532,
-2436,
-10819,
-14615,
-12155,
-8450,
-7650,
-7013,
-2636,
4440,
6901,
2404,
-3879,
-6566,
-1445,
6143,
9632,
8990,
6703,
5345,
4596,
1545,
-2764,
-3993,
1110,
7149,
7683,
1136,
-8473,
-13146,
-11467,
-5083,
-1257,
-2356,
-6376,
-10935,
-15080,
-15765,
-14021,
-12822,
-10828,
-13710,
-12161,
-11023,
-9015,
-3669,
-6663,
-11325,
-14464,
12546,
32767,
32767,
18159,
-26086,
-32348,
7497,
32033,
32767,
28236,
1508,
-16628,
-10231,
9194,
21523,
21074,
8856,
-8063,
-13980,
-8208,
-2732,
-8590,
-18947,
-26154,
-22089,
-11916,
-3767,
-3315,
-7673,
-19566,
-30281,
-23941,
-7862,
13254,
21078,
8276,
-4852,
-7533,
-1057,
10247,
19341,
23157,
20254,
15554,
12663,
11295,
12563,
12967,
10808,
5222,
4701,
7972,
10515,
8716,
-1579,
-16064,
-22024,
-14466,
-3173,
2363,
-947,
-9644,
-18089,
-18806,
-15510,
-9676,
-3379,
1223,
2744,
1603,
1085,
-1238,
-1620,
1029,
5101,
10703,
13990,
13042,
10385,
6526,
2446,
-1256,
-989,
2992,
7827,
10566,
5231,
-4031,
-10420,
-13988,
-10729,
-3647,
-892,
-2402,
-7148,
-11648,
-12873,
-9237,
-5917,
-6757,
-7740,
-8302,
-7926,
-4194,
-4291,
-7163,
-13547,
-13262,
-6401,
-567,
11473,
6725,
2009,
-11576,
-4957,
29295,
32222,
32767,
3900,
-32768,
-15700,
22475,
32767,
32352,
16733,
-8204,
-20138,
-14224,
3152,
15745,
15888,
-3241,
-23339,
-26586,
-10551,
2789,
-4408,
-22980,
-30394,
-21216,
-2368,
9657,
8731,
274,
-14617,
-14745,
-3828,
11114,
24436,
21829,
15328,
12573,
10940,
9645,
9217,
15469,
21270,
19871,
12280,
3420,
2561,
5966,
6089,
-1910,
-10769,
-13485,
-6820,
1835,
3492,
-4476,
-17234,
-18874,
-15262,
-6954,
932,
1796,
1619,
-192,
-2196,
-3560,
2036,
4442,
6420,
12059,
11166,
11423,
10483,
4955,
3128,
4752,
4758,
5592,
6864,
5415,
932,
-3176,
-7238,
-10080,
-7493,
-2712,
-2695,
-3015,
-3921,
-8635,
-8501,
-6727,
-6607,
-3717,
-2078,
-4206,
-3749,
-215,
862,
507,
-2393,
-6329,
-5604,
-1547,
2018,
1574,
-4461,
-8150,
-11617,
-11851,
-5947,
-3154,
3179,
539,
-5637,
-15276,
-15990,
15842,
31990,
32767,
17484,
-23080,
-32044,
1196,
30672,
32767,
25943,
5059,
-10071,
-12828,
-8998,
3521,
9859,
3576,
-11843,
-21095,
-13227,
3222,
6989,
-11347,
-29241,
-30221,
-15299,
3747,
13284,
10839,
-358,
-10293,
-12233,
-5229,
8699,
18607,
17876,
14240,
10818,
8101,
5174,
4826,
8753,
9955,
7984,
4043,
-601,
761,
4249,
2090,
-5812,
-13277,
-14732,
-11648,
-4052,
2793,
1613,
-2940,
-8227,
-13623,
-12091,
-3129,
4517,
8653,
8187,
4760,
1892,
-1994,
4413,
6625,
4564,
6476,
4317,
4572,
5562,
5527,
748,
-4369,
-3426,
-3627,
-3274,
-158,
-1515,
-3625,
-5055,
-6889,
-8375,
-8034,
-5122,
-1906,
709,
1127,
90,
-2818,
-6244,
-4834,
-1866,
-441,
2156,
3115,
667,
-2380,
-4226,
-7520,
-8154,
-4877,
-5948,
-7491,
-7041,
-9109,
-10846,
-9027,
-5369,
-3105,
-2874,
-8737,
-10517,
14673,
32548,
32767,
23516,
-9838,
-24696,
-1300,
26823,
32767,
28133,
16735,
3606,
-6885,
-11510,
-8076,
-1754,
-1658,
-9890,
-17383,
-11920,
-1141,
1710,
-9633,
-24450,
-27680,
-17482,
-2166,
9805,
15193,
12019,
6506,
231,
-1951,
3368,
12185,
20061,
22563,
21015,
16946,
10248,
5843,
5301,
4169,
2113,
163,
-3015,
-4665,
-569,
2316,
-1768,
-10835,
-19210,
-21830,
-14850,
-1433,
7241,
9086,
7458,
347,
-5529,
-2372,
3687,
9337,
13202,
14154,
11571,
8122,
12167,
9464,
4556,
3086,
-3535,
-3245,
-142,
3262,
5392,
2219,
-6204,
-12200,
-12655,
-10320,
-6000,
39,
3984,
1836,
-2122,
-6576,
-5069,
1471,
4377,
4324,
3843,
1390,
2158,
3362,
2315,
-91,
-1811,
-1812,
-4013,
-3785,
-4634,
-3979,
-3300,
-6374,
-10664,
-15450,
-15197,
-13938,
-12421,
-8758,
-3871,
1519,
809,
-5237,
-17979,
-2441,
29773,
32119,
32767,
8169,
-32107,
-15985,
22904,
32767,
29914,
13610,
-1726,
-6468,
-9248,
-9097,
-8669,
-5813,
-16081,
-31559,
-30083,
-11313,
9014,
7974,
-15120,
-32768,
-29781,
-10793,
11449,
23427,
22560,
14237,
8877,
6344,
9180,
16910,
18656,
17090,
15747,
11552,
7344,
7052,
7034,
3435,
-5319,
-15317,
-22341,
-22487,
-11428,
1676,
2116,
-9021,
-21126,
-24629,
-16047,
-4209,
4565,
8434,
11609,
13509,
10924,
10453,
10480,
9594,
9685,
8093,
8026,
8027,
8148,
9558,
2937,
-4124,
-8232,
-13072,
-14796,
-12830,
-5959,
-3427,
-5426,
-6440,
-7212,
-6673,
-5224,
-2639,
-96,
2096,
4441,
6128,
8262,
10116,
6930,
1266,
-1078,
-1573,
-420,
1448,
1565,
-953,
-4724,
-6222,
-8978,
-11106,
-12408,
-12763,
-7886,
-5079,
-3648,
-6825,
-12106,
-14576,
-17240,
-17847,
-17523,
-11088,
748,
10127,
10930,
-357,
3369,
27360,
32618,
32767,
15928,
-23828,
-15482,
20911,
32767,
29542,
10978,
-5450,
-10201,
-17556,
-21668,
-18691,
-10296,
-11685,
-25402,
-31247,
-19459,
2028,
8363,
-7216,
-23066,
-21430,
-4589,
15477,
26934,
27069,
22887,
18424,
14081,
13568,
16748,
16809,
13770,
10117,
6354,
3942,
2788,
-1140,
-8366,
-16876,
-20767,
-21813,
-22989,
-17269,
-6390,
1539,
-390,
-10092,
-15911,
-8677,
6176,
14449,
12350,
14882,
20098,
20491,
21880,
20023,
17109,
14986,
8002,
-3397,
-6492,
-37,
4015,
2878,
-3824,
-13969,
-20726,
-19059,
-14560,
-12436,
-7549,
-2092,
-953,
3082,
8429,
8873,
6299,
4809,
5697,
8806,
14331,
17201,
15520,
9574,
2345,
-3145,
-5113,
-5130,
-6034,
-7031,
-8599,
-8478,
-7669,
-8741,
-9374,
-9564,
-11151,
-9663,
-5110,
-3742,
-3992,
-2318,
-4083,
-6233,
-10647,
-15171,
-13944,
-4692,
13230,
18462,
13913,
5404,
18185,
32767,
32613,
27937,
-8286,
-25707,
836,
24090,
26723,
15695,
4588,
-1709,
-14219,
-27662,
-30439,
-19975,
-8260,
-12141,
-20763,
-19581,
-5108,
11381,
12000,
-3519,
-13830,
-9970,
4911,
20736,
29001,
32445,
28587,
21166,
12249,
4913,
892,
346,
4048,
4277,
1192,
-2521,
-8451,
-12106,
-15577,
-20063,
-21917,
-25097,
-23460,
-12853,
4823,
17455,
12280,
-482,
-5871,
-649,
7908,
17176,
24720,
25521,
21295,
11759,
4298,
9610,
15671,
8048,
-7364,
-17625,
-20446,
-12788,
16,
-189,
-10361,
-17733,
-20827,
-19770,
-10913,
542,
6245,
7487,
5708,
3140,
6002,
13059,
16037,
14621,
10419,
4374,
1974,
3247,
5541,
3925,
-3240,
-10279,
-15012,
-15969,
-14355,
-10969,
-8109,
-8484,
-9553,
-10118,
-8771,
-5746,
-1176,
702,
-898,
-1879,
-3669,
-2578,
-639,
-708,
-6109,
-14656,
-17608,
-17371,
-3639,
11051,
14337,
7655,
4421,
22604,
32767,
32767,
11342,
-21336,
-16221,
9500,
24662,
20752,
9202,
2508,
-4575,
-15765,
-24649,
-25033,
-15560,
-8042,
-11874,
-17917,
-13433,
2944,
15446,
7874,
-10072,
-17904,
-7283,
13518,
25448,
25973,
21340,
17273,
15900,
10401,
2555,
-2719,
-1390,
1679,
-3067,
-8902,
-8205,
-2318,
-1488,
-11726,
-22765,
-27518,
-23053,
-11613,
893,
9873,
11353,
4417,
1416,
9177,
14675,
12856,
7156,
11371,
21123,
20648,
12307,
3776,
3081,
3804,
-3525,
-10693,
-10731,
-10446,
-11042,
-9562,
-8655,
-9792,
-9734,
-7722,
-6049,
-4584,
-199,
7652,
11090,
9879,
10749,
11721,
10503,
9089,
7952,
7011,
6995,
5726,
1966,
427,
-3404,
-9585,
-10114,
-10206,
-12102,
-11722,
-8552,
-5513,
-4381,
-3597,
-923,
-345,
-2229,
-3479,
-712,
4638,
5897,
3846,
1523,
762,
-1975,
-6499,
-11488,
-13679,
-12827,
-10912,
-6880,
-972,
1636,
2402,
4458,
17244,
31059,
32767,
28160,
49,
-14672,
2529,
22237,
25500,
13655,
1887,
-1820,
-2761,
-7909,
-15077,
-19012,
-16605,
-17475,
-20066,
-16962,
-4550,
11915,
15182,
1383,
-12628,
-10988,
4151,
18990,
23101,
21380,
19385,
19746,
17888,
10833,
4715,
498,
-807,
-4829,
-10434,
-10578,
-5370,
-543,
-4297,
-13816,
-19721,
-20731,
-16638,
-10491,
-3523,
5497,
11276,
11663,
10082,
10649,
11367,
13459,
13685,
14498,
20480,
20356,
13242,
4112,
-2108,
-4441,
-7913,
-13318,
-15644,
-11222,
-7247,
-8347,
-9330,
-8531,
-9947,
-10257,
-5888,
-1496,
2862,
9575,
14305,
17519,
17470,
12288,
5904,
2895,
3277,
3558,
4926,
3121,
-1619,
-3842,
-8033,
-13079,
-15148,
-16388,
-15908,
-14032,
-10247,
-4511,
623,
1914,
-903,
-2773,
-2769,
-2207,
-372,
3101,
6039,
5166,
1648,
-2029,
-8415,
-15139,
-17720,
-18337,
-13023,
-4707,
-3443,
2580,
6842,
11856,
26698,
32767,
30061,
5079,
-17618,
-9521,
12687,
26997,
18889,
3953,
-1925,
-4418,
-6607,
-13636,
-22055,
-22139,
-19176,
-16431,
-14821,
-8620,
5435,
14951,
7899,
-8031,
-15507,
-4801,
13651,
20947,
18552,
14532,
16351,
20366,
17166,
7244,
-4517,
-9551,
-10111,
-10231,
-9575,
-7628,
-2181,
-1496,
-9655,
-18149,
-22810,
-19228,
-11053,
-2340,
5559,
9008,
9908,
10575,
13028,
15527,
12119,
4238,
1868,
6171,
10844,
11997,
12703,
13377,
10222,
-1413,
-17562,
-26288,
-23890,
-15811,
-9609,
-2183,
3996,
4216,
1879,
-2412,
-4861,
-4056,
-1925,
2322,
7508,
14140,
19320,
19257,
15651,
7436,
-1845,
-7811,
-11144,
-9655,
-4234,
-449,
410,
-810,
-4691,
-9186,
-12416,
-13190,
-11078,
-7515,
-3399,
1726,
7662,
10576,
8185,
3450,
-1693,
-5431,
-7049,
-5573,
-141,
2874,
3329,
-806,
-6811,
-11713,
-17306,
-20664,
-20464,
-13670,
-5320,
4963,
15898,
28480,
32660,
32767,
25033,
-4017,
-15547,
-3182,
13983,
20370,
15064,
9513,
7144,
2961,
-7567,
-22479,
-31681,
-29770,
-23048,
-14836,
-7950,
2282,
13821,
16695,
7750,
-4044,
-6707,
483,
11078,
16838,
20566,
24934,
27896,
26468,
16134,
1359,
-10104,
-14717,
-15319,
-14232,
-10629,
-6367,
-2512,
-3422,
-9417,
-13828,
-15263,
-14539,
-11927,
-5562,
4564,
14620,
20585,
21754,
21035,
18756,
12199,
4605,
2111,
3910,
6273,
5788,
3627,
4012,
2591,
-290,
-5654,
-14573,
-19372,
-19346,
-13806,
-7952,
-2779,
5126,
11008,
12517,
8087,
3612,
3385,
3238,
4971,
8369,
10659,
10591,
10304,
9720,
4084,
-4140,
-10345,
-12646,
-11559,
-9216,
-6972,
-4683,
-1741,
-729,
-1420,
-2781,
-4929,
-5223,
-3437,
-413,
2748,
5872,
8051,
6564,
2418,
-1931,
-4483,
-6098,
-8558,
-9864,
-9302,
-6966,
-3999,
-4283,
-7941,
-12920,
-17712,
-19549,
-16981,
-11405,
-2723,
11842,
28687,
32582,
32767,
25630,
-1164,
-10884,
-1761,
7498,
7640,
731,
323,
4554,
6156,
-854,
-16641,
-29139,
-32606,
-31925,
-26865,
-16567,
15,
16168,
22034,
14890,
2789,
-2247,
1829,
8440,
10660,
11511,
16331,
24393,
27254,
19442,
4607,
-8813,
-16216,
-21296,
-24638,
-22188,
-13820,
-5060,
-1335,
-3374,
-8392,
-12526,
-13364,
-11127,
-5099,
2487,
9064,
14707,
20266,
24677,
23862,
16883,
7129,
219,
-2869,
-3689,
-2825,
-1558,
842,
1246,
-4020,
-12264,
-18511,
-17800,
-13905,
-10999,
-9409,
-4928,
6332,
13499,
16461,
15989,
11666,
6410,
-46,
431,
4040,
5884,
7550,
7787,
6795,
569,
-6666,
-9241,
-12090,
-14887,
-15165,
-11222,
-5128,
344,
4119,
4555,
3025,
729,
-718,
-1444,
-419,
1471,
4618,
7825,
6467,
3388,
1102,
-2817,
-8301,
-13220,
-14638,
-11594,
-8438,
-5131,
-2756,
-1556,
-3099,
-8042,
-11094,
-14501,
-13877,
-10934,
-8772,
-775,
15378,
31082,
32061,
32767,
21039,
-9907,
-13425,
-730,
8282,
7385,
-1577,
-783,
2286,
3369,
-718,
-14640,
-24944,
-31095,
-32286,
-26460,
-14374,
6728,
23099,
25433,
15405,
3908,
2614,
8302,
11109,
8693,
7431,
13028,
23286,
26891,
20571,
7667,
-4484,
-13753,
-22391,
-27256,
-23777,
-11613,
-89,
3289,
-913,
-6316,
-8526,
-7015,
-4024,
-2156,
-460,
3242,
11503,
22286,
28781,
27599,
18931,
8272,
558,
-3902,
-5172,
-4346,
-1361,
1454,
1584,
-1996,
-7476,
-11514,
-13933,
-15517,
-16129,
-10819,
-1263,
7361,
12182,
14037,
16367,
13242,
9348,
10459,
10752,
9502,
4237,
1839,
3934,
4500,
4296,
-1209,
-6873,
-11654,
-14668,
-13219,
-11943,
-7763,
-3418,
-962,
1976,
3151,
5476,
7306,
6961,
4906,
146,
210,
3988,
7533,
8202,
4498,
-1135,
-6819,
-9338,
-11050,
-12061,
-11071,
-8459,
-5989,
-5619,
-5419,
-4685,
-2782,
-2613,
-4873,
-6414,
-7522,
-6465,
-7482,
-7231,
-545,
16980,
31392,
32343,
32285,
11633,
-10697,
-8707,
-1960,
2793,
792,
-5367,
-5928,
-2275,
2272,
1347,
-9316,
-21380,
-30544,
-31999,
-22191,
-6631,
9192,
17884,
17462,
12971,
8138,
6866,
7875,
5333,
2130,
1093,
6045,
15235,
20357,
18140,
7134,
-5666,
-15400,
-20921,
-21568,
-19627,
-14233,
-7052,
-2237,
66,
-1513,
-4497,
-5312,
-4046,
-2456,
-3224,
-1673,
5893,
16809,
23254,
21544,
15214,
8556,
3494,
-1862,
-5878,
-7072,
-4714,
-1836,
-1742,
-3165,
-5211,
-6346,
-9626,
-13724,
-14907,
-13195,
-6847,
907,
7798,
11807,
13276,
13529,
10558,
8373,
6671,
3868,
1468,
975,
3058,
5126,
4600,
1803,
-2396,
-8156,
-11851,
-13573,
-12448,
-9230,
-6267,
-2261,
502,
2853,
4243,
3488,
1574,
-887,
-1316,
122,
3601,
6777,
6440,
4858,
3032,
613,
-2959,
-6539,
-9753,
-11866,
-10059,
-6812,
-4180,
-1431,
-1557,
-2925,
-4233,
-4990,
-3997,
-1962,
-633,
-2736,
-2652,
-3828,
-5944,
-7767,
-6204,
5728,
18591,
29958,
29800,
18457,
5449,
-2529,
-457,
941,
1945,
1083,
-921,
-331,
819,
3442,
1554,
-6170,
-15648,
-23065,
-21416,
-12117,
-352,
7598,
8866,
7478,
6007,
5942,
6222,
4487,
1953,
2245,
4408,
8617,
14097,
17786,
16365,
8247,
-1750,
-8955,
-10471,
-9414,
-8309,
-6558,
-4718,
-2110,
-1137,
-1591,
-1408,
-2675,
-4828,
-6600,
-5608,
-37,
6599,
12089,
14365,
13398,
10666,
7535,
5190,
3036,
1859,
888,
699,
1190,
2867,
5647,
5011,
741,
-4936,
-8225,
-9973,
-11151,
-7842,
-1842,
2011,
4509,
7476,
9607,
8215,
4682,
2430,
-182,
-1355,
62,
3959,
6879,
7051,
7258,
4910,
628,
-3607,
-6756,
-7419,
-7542,
-5421,
-1565,
1696,
4137,
3486,
1338,
-1214,
-3486,
-4699,
-4242,
-2358,
283,
3789,
6483,
6947,
4318,
-497,
-3633,
-5568,
-5947,
-5280,
-4115,
-1284,
297,
2714,
2781,
358,
-2401,
-6366,
-7667,
-5733,
-2478,
490,
2961,
2306,
-1571,
-5352,
-8006,
-10518,
-10793,
-3426,
9663,
20861,
20906,
14936,
9740,
5328,
3611,
1342,
-960,
-2293,
-1497,
1151,
3520,
4995,
3928,
-702,
-8210,
-15825,
-18407,
-14510,
-8216,
-3045,
-640,
693,
2340,
3502,
2792,
955,
-1006,
-1994,
-399,
3919,
9218,
11863,
12046,
10398,
6407,
1217,
-3160,
-5037,
-5643,
-5885,
-5179,
-4667,
-3386,
-2222,
-2799,
-3306,
-3589,
-4973,
-6736,
-6701,
-4576,
-1196,
2888,
6042,
7655,
7440,
5017,
3267,
2884,
3572,
3669,
2568,
2254,
920,
-330,
651,
1919,
1311,
-1519,
-5496,
-7671,
-6841,
-4803,
-2170,
-1269,
-1879,
-1464,
-126,
700,
558,
819,
-37,
-773,
-540,
279,
3179,
5238,
5136,
3134,
1,
-1874,
-2728,
-2254,
-1203,
-1857,
-2741,
-3348,
-3681,
-3174,
-2614,
-3265,
-4186,
-4405,
-4102,
-2075,
-324,
457,
263,
416,
2115,
1646,
1729,
1692,
1269,
2024,
817,
595,
681,
338,
1219,
2428,
1706,
-1365,
-3183,
-3579,
-3115,
-2854,
-2608,
-1487,
-1612,
-1092,
-1128,
-2352,
-3054,
-4227,
-2814,
-1335,
477,
2018,
3382,
3556,
400,
1792,
2533,
6783,
9433,
5502,
5336,
3720,
4291,
3663,
2802,
4618,
2377,
-28,
-1937,
-565,
650,
-368,
-242,
-3192,
-5364,
-4981,
-2555,
655,
1288,
1438,
796,
511,
667,
1949,
3218,
2905,
1996,
2080,
4569,
5857,
6772,
5354,
3531,
1243,
-1662,
-756,
348,
1916,
1128,
-32,
-920,
-1162,
-524,
-1746,
1112,
2024,
1111,
364,
-1186,
583,
1604,
2861,
2768,
1613,
806,
633,
3283,
3674,
2668,
1072,
-123,
387,
1028,
2488,
2147,
1460,
348,
-2274,
-2012,
-2751,
-2177,
-1469,
-2677,
-2163,
-2410,
770,
1638,
1681,
441,
-1470,
-269,
-217,
2016,
2386,
2517,
1367,
1309,
308,
-214,
761,
-706,
-297,
-2612,
-2748,
-1960,
-721,
124,
-154,
-418,
-371,
-172,
-1207,
-1045,
-1042,
322,
1388,
1213,
1794,
1670,
1301,
919,
-112,
-982,
-2169,
-452,
514,
728,
422,
-528,
-1810,
-2861,
-1464,
-1347,
-382,
-970,
-1499,
-974,
-939,
1054,
1136,
1382,
535,
-1279,
-303,
149,
1641,
1305,
-254,
-746,
-937,
405,
128,
-1185,
-1921,
-2126,
-1677,
-991,
-1273,
-1553,
-1502,
-1256,
-752,
-170,
27,
-20,
203,
-1526,
-2093,
-754,
450,
1002,
1278,
797,
-619,
163,
-565,
-1532,
-2236,
-3168,
-1943,
-811,
115,
743,
399,
-331,
-363,
-1075,
-1246,
-910,
-967,
-102,
-236,
1166,
1957,
569,
664,
-862,
-1032,
-943,
-1239,
-346,
98,
-318,
-636,
732,
505,
-472,
-725,
-1278,
-1135,
-1494,
-1977,
-875,
-271,
1225,
1925,
643,
-1469,
-2299,
-2131,
-1487,
-53,
417,
-14,
-620,
224,
-379,
-706,
-1463,
-1493,
-1181,
-1745,
-2056,
-1232,
594,
566,
1144,
795,
-129,
-88,
460,
-503,
-1355,
-882,
298,
335,
587,
654,
-386,
-603,
-1219,
-510,
-615,
-638,
366,
929,
1807,
1851,
1528,
69,
-873,
-204,
-62,
639,
-536,
-396,
1892,
463,
1709,
1554,
-1175,
50,
-972,
-198,
199,
-784,
-414,
117,
794,
-983,
221,
1724,
1,
-419,
658,
412,
538,
2341,
2238,
975,
1516,
1606,
166,
-671,
377,
794,
1014,
213,
-324,
1683,
1936,
2725,
1541,
847,
-472,
-1387,
1566,
-517,
218,
2867,
1090,
529,
1134,
2732,
2521,
1096,
232,
-752,
241,
919,
2088,
2688,
627,
513,
315,
80,
-1106,
358,
1779,
63,
1647,
1762,
861,
863,
1089,
1347,
-1070,
-983,
1633,
783,
166,
-31,
1161,
128,
-294,
910,
937,
1071,
534,
582,
-786,
732,
1610,
1437,
2711,
872,
68,
3063,
107,
-1612,
2456,
448,
-944,
865,
-1031,
341,
1067,
-500,
-2014,
-1543,
1601,
-1453,
654,
1852,
101,
2758,
2310,
146,
-328,
978,
1051,
1257,
-316,
-148,
1676,
1014,
706,
-2342,
-3502,
-1980,
-2422,
-3363,
-1511,
-561,
-635,
-1600,
-261,
1978,
-2362,
-733,
-1135,
-552,
1559,
-994,
1962,
1502,
1156,
1342,
-765,
-939,
-1415,
-415,
-857,
34,
1078,
-1696,
-898,
-2684,
-3704,
-465,
-173,
-1350,
-1024,
-271,
-2423,
-2767,
-332,
-1209,
-927,
-643,
-386,
879,
1424,
532,
-2210,
1195,
-51,
-1138,
1450,
-1289,
-470,
-1630,
-2547,
485,
-1919,
729,
1006,
-267,
279,
-2014,
-986,
380,
1459,
-1439,
-215,
-71,
-3133,
1798,
-900,
-1655,
616,
-2408,
1682,
-1724,
-347,
663,
-2160,
877,
-1089,
-1375,
275,
-563,
-635,
36,
-1565,
-282,
-1048,
1166,
2392,
531,
-679,
352,
-750,
-1852,
4317,
-2272,
-1840,
2306,
-1026,
1715,
-3942,
-591,
3519,
-3711,
69,
-1099,
-1314,
335,
154,
-403,
-625,
1407,
-3633,
707,
-2912,
38,
2364,
-1513,
4029,
-1272,
-1275,
-781,
185,
3863,
-1019,
-727,
1646,
-1459,
-155,
-456,
-875,
645,
-1162,
246,
574,
271,
971,
-796,
3393,
-1665,
-792,
2859,
-2821,
1012,
-2370,
663,
3095,
-784,
1001,
-175,
230,
-2094,
-140,
863,
537,
2252,
-85,
195,
602,
1286,
-932,
-686,
-379,
2425,
-35,
3107,
-1153,
-2526,
4516,
89,
2142,
2235,
-1366,
-2428,
1960,
-2323,
1611,
237,
-754,
3415,
-1373,
2984,
-391,
611,
2199,
-1801,
-8,
3686,
2359,
1618,
1548,
-2233,
2854,
870,
-1133,
2571,
-1498,
2864,
2840,
1217,
964,
-2088,
4416,
-287,
1481,
-130,
-2067,
4757,
1554,
711,
-646,
554,
738,
1357,
1773,
792,
-195,
-2236,
324,
2322,
2772,
-151,
1040,
-100,
-3875,
2931,
2274,
-810,
1808,
-13,
3835,
615,
-1012,
4614,
-638,
2859,
3754,
-1617,
637,
2,
-2302,
2553,
-2095,
1143,
1351,
-3919,
5843,
-4792,
-350,
1960,
-5629,
7663,
-3927,
-1833,
8199,
-3444,
3476,
-583,
-2698,
3728,
-3170,
-737,
-556,
-1075,
4196,
-1486,
-1571,
534,
-3257,
1622,
-712,
1211,
398,
-4343,
1271,
-3743,
1134,
915,
-3731,
1259,
-1953,
-2111,
-1066,
-3136,
686,
1721,
-2857,
2685,
-3761,
-1304,
-1212,
-4105,
933,
-3595,
3022,
-3660,
-3351,
1357,
-2178,
654,
-1231,
-236,
-703,
-4886,
3014,
-1797,
-1492,
1319,
-409,
-597,
-2667,
-181,
-2033,
2236,
-2900,
1843,
-146,
-2650,
340,
-4099,
4973,
697,
-858,
-1112,
-2029,
-1555,
-956,
2896,
49,
-1453,
428,
2068,
-3221,
-2669,
4757,
-4983,
-1479,
1994,
-2027,
3785,
-2983,
-1065,
220,
563,
1321,
-2953,
-1460,
256,
-656,
-1070,
-1021,
853,
-2234,
-1607,
-2814,
2852,
-1122,
-2002,
4677,
-5238,
743,
1429,
-3856,
4136,
1393,
-3599,
-2314,
-1660,
-2499,
2224,
-1081,
-1882,
1971,
-1835,
1799,
-1592,
2861,
-5400,
2909,
3808,
-4694,
3913,
-3945,
2745,
510,
-1787,
1588,
-4156,
519,
1348,
-1399,
1036,
2182,
161,
-930,
-1174,
1945,
-1354,
694,
124,
-2146,
3515,
-418,
-1151,
983,
2468,
58,
1149,
926,
-2440,
859,
2251,
987,
-4884,
3619,
-137,
-2965,
3760,
-2338,
1280,
849,
552,
-21,
-652,
3332,
-3326,
443,
4364,
-884,
785,
1130,
-312,
2458,
-338,
-1536,
2974,
-1273,
4155,
682,
-1474,
5398,
-1425,
648,
-2447,
1543,
4350,
-4755,
6048,
-3031,
1111,
4389,
-3989,
5263,
-2964,
3148,
841,
-688,
2102,
1303,
7310,
-3463,
-945,
855,
-2712,
7363,
-3652,
1029,
5219,
-2525,
4435,
-2859,
1615,
-1166,
-1150,
4176,
-12,
622,
1100,
2112,
728,
-3493,
7001,
-5059,
1027,
5761,
-6462,
5586,
-4147,
909,
4662,
-4015,
1983,
3188,
-3945,
2722,
-987,
2455,
879,
-1830,
3222,
-3433,
1720,
212,
1174,
1943,
-1271,
-156,
2237,
-689,
347,
-1575,
-742,
2541,
1810,
-2110,
262,
325,
-395,
-555,
-2576,
2501,
-1559,
1935,
-905,
-1530,
-384,
2392,
-1764,
2664,
2594,
-5745,
57,
-2510,
2198,
-2212,
-539,
677,
-871,
143,
-2029,
1700,
-4256,
1622,
3407,
-4545,
1738,
2796,
-3713,
499,
-2024,
-1446,
3589,
-6579,
813,
2136,
-3393,
709,
-3722,
336,
2641,
-4453,
1702,
-3659,
-4256,
1742,
-29,
982,
-2569,
-2575,
-907,
795,
-1139,
308,
-950,
2459,
-3007,
-2058,
743,
-709,
-907,
-1546,
529,
-2439,
281,
-2890,
966,
-1892,
-2631,
829,
-1237,
682,
2440,
-864,
-2124,
-245,
-1691,
379,
2118,
-1747,
1363,
-1424,
-3096,
-216,
-900,
1044,
-2010,
-1558,
-82,
363,
103,
-111,
593,
-94,
-128,
1008,
642,
-4270,
1095,
-1878,
-233,
5547,
-3468,
662,
1720,
-740,
734,
-3124,
-1437,
1695,
-3168,
3723,
-206,
124,
-999,
-3419,
1301,
-1759,
1491,
65,
-464,
-704,
586,
928,
-1678,
-1386,
2826,
-2090,
-669,
-705,
-1557,
3415,
-1043,
3265,
-1808,
-2511,
2243,
-1970,
-634,
2511,
-2592,
373,
-339,
2,
4150,
-3509,
2491,
-2977,
521,
2649,
-2503,
-75,
-492,
1964,
455,
911,
61,
1243,
-2135,
-615,
175,
141,
1507,
103,
550,
-574,
789,
2633,
-1854,
1772,
-2245,
-2570,
4610,
-893,
1901,
-163,
3234,
302,
-3128,
3657,
997,
-1154,
4203,
-1717,
-1999,
5067,
793,
1274,
2168,
-1188,
-876,
2856,
-315,
2415,
-1210,
668,
1323,
-634,
3305,
-3090,
5942,
2444,
-4316,
721,
55,
2421,
3148,
-1959,
2235,
1520,
709,
3339,
245,
328,
-20,
2659,
-133,
617,
1149,
-1206,
1027,
1254,
1225,
-1454,
3528,
2092,
-1428,
1512,
169,
355,
-459,
3056,
1480,
168,
1088,
527,
544,
107,
2229,
-1022,
-1596,
1417,
-1805,
1658,
1040,
3069,
-1290,
-148,
2955,
-3787,
760,
2055,
210,
-1473,
1852,
-246,
1747,
-976,
126,
1514,
-2124,
-295,
-2411,
4265,
297,
-1843,
1721,
-2066,
1048,
2376,
-4700,
3898,
-1081,
-1269,
2074,
-4660,
5488,
-4579,
2167,
623,
-3618,
2197,
-2183,
-1237,
-263,
-906,
54,
2535,
-4921,
6347,
-2778,
-4980,
2117,
-5549,
2400,
183,
-3649,
3272,
-1762,
-1946,
877,
-565,
1196,
-3110,
-2552,
331,
672,
1357,
-1203,
-3647,
1480,
-5462,
-626,
1988,
-4461,
1167,
-1259,
-248,
997,
-2594,
709,
-3427,
-554,
-982,
-3050,
4327,
-352,
-3301,
1034,
-5845,
3026,
-13,
-3321,
3785,
-7546,
5741,
-4501,
-1573,
5260,
-4305,
3286,
-4561,
-1737,
294,
-716,
-533,
-1485,
1157,
-1767,
423,
-820,
19,
-2922,
-509,
-1241,
-1628,
4370,
-1406,
2369,
-4179,
-1957,
3272,
-3462,
2832,
432,
-4292,
1209,
-986,
2251,
-1074,
-3665,
1586,
-3970,
826,
2903,
-3070,
-76,
3316,
-5819,
3941,
-497,
-3661,
7208,
-6528,
2695,
1292,
-1359,
3044,
-4698,
2089,
-1790,
1395,
1168,
-3008,
1475,
-2978,
873,
979,
538,
1135,
-3355,
1320,
-153,
-3739,
4670,
-2263,
-3111,
7347,
-6607,
2883,
1057,
-7132,
7145,
-4599,
1966,
2737,
-2315,
1490,
-3284,
1112,
2384,
-3332,
4383,
-1211,
998,
2439,
-3234,
277,
-1330,
3781,
-3832,
2422,
1632,
-4183,
3004,
2334,
-1838,
2857,
-1113,
853,
2073,
-3239,
3339,
217,
1753,
1155,
-725,
2,
1371,
1618,
-1891,
2763,
1067,
2687,
474,
396,
4300,
-2746,
2387,
-2512,
3125,
1733,
-1723,
5051,
-2806,
2079,
9,
1698,
37,
-2325,
3492,
1277,
2559,
-1059,
-16,
3965,
-424,
1253,
851,
-455,
100,
360,
2327,
4185,
-1290,
1018,
760,
734,
3391,
-865,
-833,
734,
-681,
1799,
5028,
-4685,
3442,
1228,
621,
761,
-3612,
4189,
-966,
-436,
2048,
17,
1621,
631,
-447,
3541,
-2797,
3486,
-992,
-541,
-126,
-2392,
6395,
-2725,
1763,
1762,
-4053,
3528,
2845,
-4951,
3197,
-1548,
1375,
2940,
-1607,
4416,
-3197,
-3558,
3180,
-3782,
4949,
1643,
-5636,
5000,
-5570,
3305,
958,
-2355,
2018,
-6577,
2894,
-223,
-120,
3428,
-4182,
-314,
147,
-856,
1698,
-2329,
3010,
794,
-3305,
976,
-5234,
1325,
-410,
-145,
957,
-3397,
1781,
-1906,
-575,
39,
-276,
366,
-5544,
1718,
-217,
-1416,
1811,
-4441,
1219,
-636,
919,
-1630,
-1098,
-1382,
-991,
-1349,
-2123,
1617,
-2491,
2759,
-5395,
562,
206,
-2180,
1026,
-2704,
1189,
-2266,
127,
-234,
-67,
-227,
-1827,
-1513,
23,
-158,
-803,
-312,
-1107,
-774,
931,
-528,
-520,
-1467,
-1680,
-1697,
-3381,
4719,
-3523,
3310,
-2290,
-6760,
3160,
-818,
1274,
1201,
-1234,
-1486,
123,
-3377,
6372,
-3844,
-4245,
1620,
-3367,
4954,
-216,
-3149,
3375,
-3087,
1577,
-3297,
-103,
4543,
-6315,
4618,
-3908,
1037,
987,
-4313,
4424,
-5156,
2479,
3137,
-2749,
3646,
-2409,
-759,
1354,
-1438,
206,
-14,
-845,
-721,
-1515,
-1089,
962,
-1136,
3790,
-3927,
2697,
-2627,
-2500,
7244,
-3897,
-450,
-592,
-482,
-966,
682,
2844,
1215,
-3336,
1623,
-1576,
1306,
4124,
-5982,
2116,
-2107,
238,
4478,
-7146,
4298,
-2188,
2017,
4084,
-5129,
5772,
-5290,
1945,
2100,
-3006,
3931,
295,
-512,
366,
2577,
-352,
185,
348,
-1187,
-1574,
3903,
174,
-260,
4416,
-4508,
2160,
705,
403,
372,
-883,
2075,
-1176,
4402,
2853,
-1305,
478,
-584,
610,
2015,
-26,
1308,
1217,
-288,
4511,
-3376,
-805,
3634,
105,
3368,
-712,
1451,
2650,
-2487,
1305,
156,
2541,
2231,
-2983,
6214,
-2493,
889,
2671,
-4963,
6913,
-3084,
-2473,
8945,
-3548,
898,
-1766,
390,
4985,
-4028,
1701,
3454,
-2690,
1750,
5339,
-4308,
939,
-52,
-703,
1943,
1607,
303,
-802,
3832,
1230,
-4190,
2257,
720,
-2974,
5541,
-3542,
3300,
970,
-2542,
4635,
-3730,
3700,
-3787,
-2725,
8091,
-4376,
1695,
2532,
-4478,
4550,
-1499,
-1849,
3723,
-4749,
667,
1975,
-4474,
5238,
-3410,
-557,
4937,
-7228,
5137,
-3338,
-2447,
4185,
-5725,
3582,
-2014,
-173,
1102,
-4723,
5341,
-3123,
-3609,
2736,
-3884,
511,
183,
207,
497,
350,
-2843,
-1190,
2363,
-5930,
3426,
-1164,
-3564,
2835,
-2790,
2197,
-3424,
-2787,
1627,
-2232,
1459,
-1594,
-3113,
170,
140,
-903,
-1820,
1011,
-3331,
487,
134,
862,
1056,
-4475,
1851,
-4024,
-1025,
1271,
-1022,
153,
1511,
-3184,
417,
333,
-2477,
3058,
-2915,
-3195,
147,
-238,
874,
1189,
-3484,
1494,
-2986,
272,
773,
-2280,
-1671,
-2031,
5980,
-3095,
-636,
-1379,
-700,
979,
-5691,
4106,
-5482,
1662,
3236,
-6492,
3996,
-384,
373,
-1360,
-305,
-306,
-994,
1070,
-2728,
2324,
2557,
-3472,
-858,
-3344,
-75,
3112,
-2619,
1459,
-167,
-1839,
593,
-1788,
1766,
31,
-5011,
2802,
-228,
-1999,
2092,
-2010,
1183,
-2536,
1823,
2457,
-3227,
1411,
-421,
388,
-1156,
1370,
2492,
-3571,
985,
-2771,
53,
2589,
-1267,
962,
-2252,
-241,
2402,
2199,
-3940,
2635,
-2744,
-189,
2055,
-485,
1817,
-3211,
5094,
-1104,
-981,
1501,
-2181,
3361,
36,
-4064,
1594,
548,
1720,
3468,
-2628,
-138,
2098,
-2522,
3349,
-1877,
2163,
775,
-211,
4342,
-4176,
5896,
-1009,
-342,
2349,
-3670,
4310,
-2495,
3128,
2002,
-363,
1498,
-1772,
3487,
649,
646,
-1247,
1564,
1062,
1914,
328,
2497,
-702,
-1701,
4591,
-2611,
4371,
2398,
-3817,
5280,
-1437,
-629,
1845,
-2413,
8134,
-5626,
-720,
6260,
-3211,
7074,
-1239,
-1218,
1464,
-3508,
4620,
-2482,
3906,
4475,
-5379,
5627,
-1411,
-1096,
1078,
-611,
3245,
1000,
-3333,
2496,
4089,
-418,
-2406,
388,
3245,
-3464,
2060,
1558,
2819,
1183,
-2550,
1583,
-2340,
1784,
596,
-1509,
1949,
-409,
990,
2258,
-671,
622,
2470,
-1596,
-310,
-33,
-1678,
1177,
566,
-4319,
3724,
-973,
3,
2904,
-5702,
3106,
3379,
-3297,
1799,
-2855,
-2036,
5296,
-5416,
4663,
-630,
-3964,
3199,
-4239,
191,
676,
-2328,
4671,
-805,
-6865,
4650,
-2582,
254,
-268,
-2395,
781,
-3523,
1781,
243,
-1107,
-1542,
-1181,
-287,
-1940,
397,
1897,
-4141,
-1113,
-1042,
-3151,
3082,
-3884,
2336,
-929,
-3705,
5445,
-8838,
5206,
601,
-7361,
4466,
-5374,
4761,
-3598,
-1151,
2868,
-4808,
1721,
147,
-3662,
133,
2142,
-4644,
3266,
-3861,
-2466,
2509,
-2441,
2419,
-3388,
-592,
2705,
-2824,
798,
-1630,
-628,
-168,
-2334,
1373,
-1244,
1282,
-2360,
-1372,
404,
-11,
757,
-831,
1745,
-6843,
3884,
-1530,
-1054,
4459,
-5760,
2951,
-588,
-2125,
-436,
-699,
-931,
-1653,
-214,
1771,
-1941,
-707,
-1628,
2706,
-1091,
-1061,
4265,
-4653,
1395,
-2194,
1957,
1508,
-3303,
1440,
-2086,
-161,
-1395,
1417,
-119,
782,
163,
446,
-73,
-3351,
2676,
-1845,
729,
-2456,
-2128,
4952,
126,
-967,
-740,
-128,
2698,
-3644,
-149,
3565,
-2237,
756,
-348,
-323,
2375,
-3714,
1308,
1746,
-2016,
3418,
-1608,
-3283,
3776,
781,
-960,
1105,
-2136,
2283,
-1438,
1445,
23,
-1416,
2262,
-1611,
3397,
-1676,
-176,
2935,
-565,
1260,
-991,
1410,
1699,
646,
1737,
1487,
-904,
2418,
1392,
-2288,
1169,
1434,
1621,
612,
1195,
950,
646,
-699,
1472,
-398,
1977,
2957,
-3009,
2910,
-64,
2311,
-1519,
-593,
5722,
-4693,
3084,
1878,
-1270,
2020,
3938,
-1270,
-905,
1568,
-294,
1855,
-1090,
2552,
2022,
-1681,
4919,
1167,
-4609,
2255,
-24,
2234,
-1702,
707,
4030,
-1292,
1601,
27,
-1136,
4104,
-2427,
1315,
2650,
-3586,
1431,
-193,
3443,
2498,
-2539,
-204,
681,
56,
232,
2508,
-127,
-2786,
6223,
-1075,
-213,
595,
-2333,
3967,
-1501,
4607,
663,
-6731,
4182,
-408,
-2661,
-39,
32,
-86,
2029,
-957,
-2885,
3778,
-6132,
4442,
317,
-2430,
2357,
294,
120,
-1426,
2843,
-6072,
5167,
-449,
-3616,
4265,
-7163,
4588,
1482,
-6151,
3934,
-6569,
3480,
87,
-5571,
4945,
-4143,
1248,
-828,
-609,
1985,
-4312,
-1228,
-2121,
-919,
2110,
-1963,
-1312,
1295,
-3291,
-479,
221,
-3292,
1915,
-2316,
1363,
-1769,
-642,
2297,
-7282,
1634,
105,
-2128,
423,
2117,
-2634,
-2550,
2301,
-3974,
-34,
1143,
-2995,
3653,
-4386,
95,
1195,
-3682,
4573,
-7839,
5973,
-2513,
-6220,
5233,
-2458,
183,
-1057,
-218,
508,
-4302,
2819,
1142,
-2474,
2651,
-5035,
2621,
-845,
-2968,
2288,
124,
-5960,
1652,
2717,
-2173,
34,
-3911,
2631,
-2729,
2493,
-580,
-4360,
3633,
-2064,
-945,
1244,
104,
-1676,
1701,
-2639,
-1042,
3178,
-4894,
3144,
-2014,
-1671,
2434,
-5020,
2783,
-768,
1455,
-3840,
-694,
4847,
-3820,
2080,
-3993,
122,
3332,
-4832,
612,
3305,
-2434,
894,
1306,
-1720,
1535,
-606,
-112,
1513,
-3695,
-993,
2847,
-41,
-2032,
1981,
823,
89,
-1120,
-336,
1896,
2769,
-1601,
-3103,
2409,
-158,
1263,
-1812,
1737,
-2173,
2233,
1268,
-1672,
2112,
-4606,
5829,
-4,
-853,
3321,
-3562,
2504,
-689,
127,
916,
20,
3081,
292,
-2027,
3667,
473,
1139,
1243,
-5567,
3145,
1675,
1431,
1316,
519,
-654,
1416,
3178,
-1863,
-116,
3279,
-974,
-628,
4038,
1765,
781,
-1419,
781,
3427,
-1347,
1546,
3448,
-2331,
3135,
-723,
3367,
493,
-1694,
3625,
-2750,
2980,
547,
-1461,
4466,
247,
968,
2131,
-2693,
3368,
-1974,
1786,
567,
-624,
4256,
214,
-1814,
3588,
-1272,
2172,
-468,
-1963,
4955,
-5692,
4903,
-1247,
1247,
4089,
-2434,
2208,
-1721,
184,
2610,
-1652,
5070,
-2994,
-2013,
5008,
-5124,
3897,
2411,
-2565,
1104,
-330,
-753,
1470,
-687,
2788,
-1084,
-994,
2021,
-5354,
5407,
108,
-2898,
3670,
-4526,
4572,
-1409,
-1627,
5150,
-5854,
3185,
1310,
-5073,
5126,
-1001,
-2431,
2022,
-4555,
2327,
-281,
-1381,
1936,
-4798,
1041,
178,
-2312,
4486,
-3818,
119,
529,
-5277,
3123,
-2590,
60,
382,
-3136,
3732,
1194,
-5347,
1506,
-1360,
-3900,
745,
-2990,
284,
-376,
-2149,
-552,
-333,
875,
-2587,
-1309,
211,
-1732,
1875,
-4992,
-59,
161,
908,
2743,
-5484,
3271,
-3458,
293,
1718,
-6001,
4237,
-4287,
5,
1402,
-1685,
378,
-5681,
3466,
-2545,
-1881,
4615,
-7006,
2406,
1025,
-4114,
4222,
-1429,
2516,
-2398,
-1958,
370,
-3009,
1184,
-886,
-1269,
2999,
-1511,
-4453,
3277,
-3558,
2142,
2175,
-5750,
3319,
-3843,
413,
762,
-1418,
2107,
-3429,
1532,
519,
177,
1927,
-4325,
429,
-2597,
-132,
3938,
-4774,
-1517,
2297,
1179,
-93,
-1536,
-2440,
-1089,
-588,
2884,
-169,
-4121,
4783,
-1303,
-1252,
2964,
-7875,
5849,
-2210,
-3450,
4281,
-4005,
2181,
-369,
-1104,
831,
316,
-24,
-1073,
483,
3228,
558,
-817,
-1292,
-4282,
2480,
1784,
176,
429,
-3186,
3319,
-1839,
1902,
1879,
-1708,
2925,
-3262,
-1303,
660,
1187,
-413,
-175,
2094,
521,
1979,
-2110,
-921,
3477,
-712,
876,
1826,
-3277,
1474,
2634,
246,
-2184,
1328,
-788,
2289,
4146,
-2520,
4979,
-3373,
75,
2674,
-2377,
4271,
-3435,
4343,
795,
-3208,
7700,
-4150,
2445,
545,
-2281,
4485,
1054,
1336,
-133,
489,
2076,
1011,
-893,
128,
1811,
2465,
-332,
-336,
4521,
-2149,
1800,
1407,
-4822,
8034,
-2652,
3259,
-112,
-3110,
5075,
-5115,
6157,
-1956,
487,
3951,
-3596,
4402,
-300,
223,
-784,
1956,
-582,
-786,
1572,
-1240,
2501,
1494,
267,
-3040,
4128,
-1263,
1615,
3244,
-3749,
8208,
-6757,
1404,
2289,
-5457,
7411,
-7681,
3476,
3906,
-2818,
3946,
-4178,
1735,
-730,
1132,
1888,
-3107,
4397,
-5322,
3653,
3220,
-6504,
4180,
-686,
282,
-481,
-1810,
442,
-459,
1344,
1842,
-510,
-1883,
1005,
-1446,
-2163,
2369,
-1039,
361,
-388,
-3035,
-1674,
-923,
-990,
2474,
934,
-2089,
-114,
-4258,
-138,
1164,
-92,
287,
-1321,
-1967,
100,
771,
-2988,
-48,
-1158,
677,
1433,
-6230,
828,
-2291,
-1100,
3357,
-4933,
783,
-256,
-695,
-126,
699,
-6442,
4095,
-102,
-6786,
9854,
-9256,
2398,
-1709,
-3298,
3293,
-6673,
5803,
-2472,
-1346,
1661,
-4552,
783,
-2379,
-2063,
3081,
-993,
618,
-2005,
-1419,
4770,
-4342,
-1821,
2359,
-3881,
5120,
-6253,
-2420,
4274,
-7255,
8074,
-5999,
-2575,
8550,
-10242,
9232,
-5034,
-4981,
10636,
-9771,
5207,
-907,
-3671,
2874,
149,
-414,
-1842,
926,
226,
-664,
-4769,
3122,
-2695,
-910,
529,
-3249,
4118,
-3430,
354,
1958,
-4559,
2602,
-3095,
1170,
2824,
-2612,
-293,
-1512,
3141,
-2055,
-2312,
2086,
333,
-1418,
2369,
-5340,
3413,
2647,
-7396,
6837,
-3853,
-1706,
4192,
-5997,
3091,
834,
-1684,
6576,
-5841,
1868,
-410,
-1098,
7302,
-9295,
3918,
-2725,
-1546,
7617,
-4316,
2935,
-1043,
-2012,
2762,
-1958,
-1036,
708,
-1204,
3692,
236,
-2441,
5264,
-1458,
-1243,
7122,
-8488,
3111,
3090,
-2869,
7045,
-6404,
5013,
481,
-3516,
4167,
-1921,
4598,
-427,
728,
-301,
-3042,
7804,
-2593,
3693,
2786,
-4817,
6242,
-4131,
4009,
-2,
-1633,
7155,
-3491,
3269,
620,
-5732,
5863,
-2228,
4446,
2594,
-4867,
8462,
-1465,
-625,
2893,
-3139,
-1027,
2377,
1512,
6363,
-4403,
2423,
1941,
-3974,
7511,
-2853,
766,
1874,
-1545,
3541,
-3701,
3271,
1575,
-1566,
5417,
-5109,
3885,
-736,
-3141,
4488,
-91,
2241,
-1351,
2338,
-1042,
-160,
4963,
-2020,
1499,
-2391,
1275,
2959,
-2884,
3592,
-421,
129,
-2058,
1420,
220,
-1590,
-349,
-158,
5168,
410,
-289,
-405,
1958,
-3306,
176,
3784,
-3757,
4924,
-3639,
-3839,
4846,
-856,
5128,
-5874,
-764,
2871,
-4498,
2499,
-3291,
1190,
5544,
-4165,
1508,
-3432,
-1059,
-427,
-933,
4322,
-5195,
2181,
-2519,
315,
1578,
-3101,
1885,
-1428,
-4171,
1664,
884,
-400,
-3478,
-2671,
2345,
-1929,
2304,
-4850,
-186,
381,
-2214,
5233,
-7937,
-559,
3552,
-6831,
4778,
-3145,
66,
1178,
-4574,
1572,
-2935,
3957,
-5449,
4373,
-2565,
-7107,
5281,
-6392,
2438,
1409,
-3768,
4938,
-3273,
-3970,
885,
-5105,
5232,
-875,
-1762,
673,
-2571,
1512,
-345,
-1164,
-293,
-1565,
-3683,
197,
2726,
1054,
-5194,
1890,
-1762,
-203,
2784,
-5912,
4858,
-3694,
-228,
3381,
-4444,
3094,
-2573,
-960,
-277,
-1502,
631,
169,
-1708,
-2277,
2447,
448,
-1004,
-1804,
-361,
2307,
-2126,
-226,
-3588,
643,
1545,
-2083,
6260,
-6578,
2771,
-2540,
-3233,
4311,
-5051,
2592,
1193,
-1222,
2109,
-1135,
-4425,
4219,
-3784,
617,
2880,
287,
-1775,
-2055,
-571,
-1454,
1065,
-1623,
1539,
-1662,
1594,
-2305,
4265,
-756,
2815,
-1596,
-4839,
4958,
-5698,
4426,
1328,
-153,
-2021,
-1175,
-711,
912,
4290,
-2694,
2818,
-1526,
-128,
131,
-1633,
4594,
-3552,
271,
5085,
-5739,
2876,
1559,
-1727,
5466,
-4053,
1397,
1262,
-1432,
5290,
-2448,
2251,
86,
-4198,
7485,
-3090,
328,
1237,
719,
2443,
1329,
1965,
-3316,
6095,
-3050,
1742,
3273,
-2660,
5031,
955,
-1942,
301,
733,
-357,
4528,
-2452,
4334,
-775,
1089,
2374,
-1592,
2823,
-2575,
2687,
-899,
1212,
2742,
4229,
-2523,
1263,
-3153,
3456,
3488,
-3442,
6509,
-6952,
5454,
1128,
-2915,
4586,
-3706,
3948,
2101,
-1830,
-523,
122,
1535,
2377,
-1770,
4635,
-2943,
3941,
-121,
-7023,
10167,
-6033,
2554,
3822,
-4499,
3502,
-342,
-1417,
2074,
30,
-622,
2984,
-1466,
1405,
-3596,
1189,
4310,
-5368,
6670,
-5415,
-4180,
13221,
-9694,
2631,
3998,
-7967,
5112,
-1632,
1532,
-279,
2731,
-5857,
2703,
77,
-2866,
8657,
-6991,
1842,
-2343,
-3089,
3778,
-2501,
3362,
-194,
-3033,
1545,
-925,
-2208,
-345,
1031,
-5683,
7764,
-1555,
-5437,
3915,
-7090,
838,
2191,
-645,
-4250,
4216,
-4532,
-2216,
3362,
-5902,
6582,
-5521,
-481,
4016,
-3812,
4886,
-10223,
-2049,
922,
-3015,
4537,
823,
-3068,
-1098,
783,
-5405,
928,
-848,
-202,
486,
859,
-3718,
-3012,
2493,
-2815,
136,
-2638,
-2631,
2957,
1334,
-1548,
-1438,
-1651,
1038,
1813,
-2122,
-2790,
-1435,
-159,
52,
-1256,
-1249,
-361,
3791,
-5071,
-2190,
2681,
-3458,
7177,
-3969,
-3415,
-1693,
-482,
4577,
-6282,
7804,
-5441,
-3129,
6769,
-12804,
8682,
10,
-4759,
6260,
-5498,
3729,
-2456,
-725,
1106,
-5593,
4679,
-2540,
-2828,
5236,
604,
-2315,
-885,
-3439,
441,
3604,
1117,
-2782,
-1868,
3529,
-7276,
3305,
1375,
-6541,
8651,
-6530,
-539,
7053,
-4878,
3887,
-3613,
-1983,
4085,
-5693,
3769,
902,
-2461,
3379,
-3083,
4089,
-2798,
-597,
5182,
-7705,
-64,
3697,
-6,
4049,
-1446,
-3617,
822,
-153,
-1919,
4594,
-510,
-3545,
2211,
-403,
1161,
-63,
2333,
-311,
676,
-408,
-2229,
5708,
-1517,
-1246,
134,
1995,
345,
-38,
-1131,
869,
3962,
-679,
363,
-1257,
1451,
4205,
1188,
-3282,
1495,
912,
3665,
-173,
-1711,
2775,
1009,
2643,
393,
-1043,
2707,
2621,
-475,
3493,
754,
-986,
3394,
-6353,
4341,
3732,
-5238,
7246,
-1998,
-1025,
6593,
-2520,
-546,
1884,
-225,
4604,
-3251,
-14,
4247,
-205,
1880,
-3183,
1410,
3072,
-669,
3657,
-1927,
-1119,
2006,
-634,
1957,
-1771,
2857,
2246,
-1877,
6084,
-4106,
412,
6218,
-9781,
7178,
1636,
-5279,
8891,
-7223,
3439,
655,
-1826,
3810,
-4174,
6718,
-2024,
-1147,
2125,
-755,
-286,
2795,
52,
-1064,
4281,
-4149,
1160,
-120,
233,
-2374,
-2588,
4936,
-1921,
4105,
-3206,
-3214,
6104,
-7112,
4834,
419,
-6267,
7976,
-5820,
497,
2266,
-6640,
7145,
-5648,
1936,
2509,
-9315,
10821,
-6650,
-1593,
5714,
-9939,
3366,
1756,
-3540,
1159,
334,
-1490,
-143,
-1133,
-2528,
516,
-1292,
-850,
815,
2581,
-5517,
-80,
862,
-6274,
3436,
946,
-2945,
-2218,
1183,
-1908,
199,
221,
1384,
-876,
-6323,
1650,
-3266,
1337,
2425,
-6149,
709,
-423,
-1694,
-1278,
-826,
1630,
-3946,
3005,
-1557,
-460,
2072,
-5533,
2502,
-3338,
314,
3161,
-5293,
3707,
-4244,
-4281,
7543,
-7536,
1226,
2596,
-748,
2145,
-3595,
-3310,
-2108,
2202,
1656,
208,
-2527,
5478,
-8389,
2677,
980,
-7547,
8358,
-8923,
-105,
4700,
-2963,
3061,
-3828,
-1147,
3848,
-5190,
3976,
-3746,
-2765,
4712,
-1681,
2443,
-1871,
-1879,
-1358,
-768,
-102,
1355,
-2022,
5617,
-4349,
-924,
2166,
-8432,
7663,
-931,
-5337,
4609,
-242,
-2222,
387,
-5307,
3201,
338,
375,
3299,
-5330,
562,
1775,
-114,
1975,
-795,
-2896,
1067,
1717,
659,
-3910,
3067,
86,
-1330,
2073,
-1770,
2295,
-2402,
-376,
1599,
-1061,
2710,
2214,
-4334,
3375,
1274,
-4233,
3090,
-1595,
276,
2655,
1238,
3170,
113,
-5006,
1313,
3295,
-366,
1383,
2083,
372,
-691,
543,
-990,
1218,
1724,
1490,
-1407,
2621,
-427,
1042,
4732,
-1805,
-1313,
2088,
-204,
1008,
7739,
-7711,
3458,
2088,
-2635,
4900,
-2445,
6398,
661,
-3501,
2335,
709,
3041,
1064,
-3007,
4385,
195,
609,
1755,
-447,
1118,
-1078,
364,
702,
2859,
2268,
113,
864,
-492,
-957,
2147,
3090,
-122,
1257,
756,
-4130,
3310,
599,
422,
4840,
-3145,
144,
275,
-2090,
5222,
-621,
227,
1970,
-2815,
4104,
-1639,
-1225,
6190,
-4048,
-1488,
5136,
-2766,
1327,
952,
-2162,
693,
1279,
55,
-324,
2967,
-2144,
-759,
2051,
-1533,
1822,
715,
-2912,
288,
-1147,
585,
2313,
-2878,
1903,
3599,
-6265,
2450,
1184,
-4198,
3648,
274,
-175,
-2670,
-258,
465,
-2018,
1879,
-2540,
-2077,
3878,
427,
-2256,
1231,
-2792,
-4952,
5618,
-1840,
625,
4172,
-6440,
-1215,
-2098,
-430,
-675,
-373,
1690,
-2688,
222,
263,
-5226,
4887,
1563,
-8369,
6870,
-5774,
-4927,
9172,
-8807,
4546,
1051,
-7785,
5769,
-5286,
-395,
838,
-2896,
1391,
-359,
-787,
-279,
-2064,
-568,
893,
-3965,
629,
-1235,
-2894,
3131,
-2288,
-895,
2601,
-4265,
448,
-1831,
-3566,
3811,
-2089,
-1995,
3069,
-440,
-4563,
1898,
-2116,
-3190,
5550,
-4287,
-1083,
3890,
-3298,
-1776,
1149,
182,
1925,
-4556,
-1849,
806,
-3973,
6705,
-2204,
-4234,
6886,
-6621,
-846,
6176,
-9376,
4612,
1350,
-7982,
8671,
-2896,
-4645,
4030,
-5228,
2504,
1099,
-3579,
4632,
-3825,
136,
2007,
-4707,
4542,
-393,
-3498,
5054,
-1773,
-3295,
2136,
-3603,
457,
2220,
-883,
1262,
-262,
-2634,
-903,
1100,
972,
2392,
-2816,
195,
-745,
-2374,
5192,
-4922,
-635,
3711,
-4198,
7816,
-1594,
-2050,
1640,
-3406,
5032,
-3415,
-36,
1899,
-2048,
3615,
-539,
-1305,
2742,
-3510,
214,
2064,
534,
-642,
1139,
1874,
-918,
-36,
-2344,
2700,
-473,
2001,
929,
-1316,
589,
1979,
2548,
-1739,
3747,
-1219,
-28,
5377,
-3635,
2326,
3525,
-3156,
7317,
-4070,
-2660,
6855,
-4146,
3137,
398,
-2146,
6133,
-417,
2938,
881,
-3090,
4480,
-2522,
2670,
1391,
-1260,
4269,
-38,
1739,
-656,
-479,
2635,
-2,
883,
2064,
-1775,
4202,
917,
-2096,
5127,
-4059,
2374,
1278,
-3364,
6815,
70,
-856,
393,
-2462,
4928,
-2468,
959,
1697,
-1265,
5917,
-4116,
2291,
1234,
-3276,
3387,
-3018,
560,
3474,
-3190,
4272,
1619,
-3096,
3404,
-2872,
710,
539,
478,
544,
-1552,
1393,
-127,
4268,
-2429,
1014,
1233,
-3621,
2518,
-629,
-297,
1743,
-607,
-60,
-262,
-1225,
-1314,
118,
775,
-798,
2271,
176,
-3032,
1854,
-2675,
-1496,
3366,
-2626,
-252,
-334,
-1524,
1307,
-2138,
1649,
4477,
-275,
-792,
635,
-2030,
836,
595,
-3698,
2811,
-2055,
-5055,
293,
-1914,
-1164,
-751,
-2338,
-659,
-1036,
-858,
-157,
2005,
-689,
-2032,
2090,
-186,
-150,
-1633,
-1783,
-713,
313,
-182,
-3543,
-596,
-169,
-1106,
105,
540,
-1532,
94,
-99,
-2179,
437,
-2481,
1360,
1200,
-6828,
3453,
-1343,
-5895,
3809,
-3022,
-1771,
1115,
-1500,
-3021,
1595,
-1662,
-5337,
4576,
-661,
-2126,
1051,
-2673,
457,
-272,
1554,
-1973,
-251,
357,
-4795,
3165,
-295,
-4318,
1153,
-468,
912,
1556,
-4043,
1954,
-2045,
-2778,
2747,
-2842,
2221,
-629,
-1377,
3998,
-5871,
1565,
1658,
-6753,
7350,
-3903,
-7260,
7557,
-3625,
-568,
2066,
-4730,
3204,
718,
-2347,
290,
-1724,
306,
1816,
-1849,
3184,
587,
-6414,
4190,
398,
-2933,
1759,
-2379,
-1126,
2315,
-724,
394,
2899,
-4553,
443,
1942,
-4377,
3413,
400,
-3365,
4003,
-3868,
-735,
6637,
-6166,
1453,
1454,
-3380,
6119,
-2593,
2006,
855,
-5185,
7282,
-3224,
-54,
4184,
-4824,
4447,
353,
-3266,
5142,
-1268,
-2212,
1948,
-1234,
1715,
540,
2405,
-1227,
438,
3211,
-3442,
2024,
2081,
-943,
2385,
3836,
-1890,
-2032,
6723,
-1149,
562,
4206,
-5733,
3854,
5876,
-5315,
4035,
3795,
-4926,
4148,
-1923,
161,
5063,
-3413,
3439,
2181,
-1838,
4246,
-129,
-166,
2924,
-4055,
2379,
2934,
-3509,
5212,
2818,
-4562,
4759,
-414,
-3188,
6635,
-4408,
1641,
5142,
-3122,
4721,
-2335,
1759,
4993,
-6545,
5218,
1034,
-5745,
4008,
292,
525,
3086,
-703,
849,
1466,
-1022,
-184,
-792,
2203,
661,
-3861,
6231,
883,
-4415,
3214,
-909,
399,
289,
-1237,
3574,
-1749,
200,
3418,
-3951,
3709,
1020,
-4881,
5161,
-770,
-2243,
1745,
-4757,
1828,
1293,
-3389,
5300,
-1663,
-3104,
2426,
-2616,
-732,
3892,
-1926,
-54,
1308,
-5552,
4094,
-503,
-2979,
4018,
-4822,
1211,
1997,
-5375,
1976,
345,
-2783,
2104,
-146,
-2122,
-627,
-3024,
689,
1166,
-2736,
2192,
-2870,
-2802,
2979,
-4015,
-1586,
1983,
-4764,
1287,
1546,
-4168,
3131,
-2471,
-1627,
2153,
-4323,
-314,
733,
-1944,
2846,
-345,
-1916,
626,
-5007,
51,
3420,
-4706,
-1374,
2447,
-1359,
-112,
-439,
-189,
-272,
-245,
-2156,
-260,
-764,
-2329,
3265,
-2883,
-2985,
2147,
-2388,
-2762,
2390,
-2134,
-498,
1235,
-1622,
-128,
-1588,
410,
-133,
-1853,
856,
262,
-2719,
2224,
-413,
-1785,
1324,
-804,
-4221,
-1528,
3573,
-2222,
-1320,
3125,
-1981,
-103,
915,
-3624,
-511,
-1235,
2067,
305,
-5223,
2762,
816,
-1932,
1986,
612,
-1523,
-262,
-118,
-1755,
-572,
98,
-144,
-944,
1152,
1326,
-1586,
-937,
849,
-1434,
173,
1627,
-965,
-317,
-2266,
-171,
852,
-1843,
3704,
-181,
-3434,
3733,
-2319,
-2767,
4093,
-2593,
-924,
5214,
-2665,
559,
116,
-3778,
4383,
-2605,
-1380,
5441,
-3283,
-591,
1809,
-2218,
2753,
1062,
940,
759,
-539,
1443,
-155,
-25,
91,
1548,
360,
1294,
2149,
-1183,
1787,
1919,
-4312,
1497,
2499,
-618,
3449,
-634,
476,
1336,
639,
183,
439,
1972,
-2364,
837,
3267,
1352,
830,
-387,
2096,
2287,
-3883,
3745,
3670,
-1111,
2738,
-2585,
2028,
1537,
-1007,
2594,
130,
513,
2257,
2027,
919,
820,
1515,
1370,
-1077,
3053,
708,
-616,
3720,
-1876,
960,
1535,
-545,
2707,
-649,
-307,
2046,
-770,
691,
2073,
15,
715,
1256,
-1001,
1565,
1260,
-2355,
797,
1571,
-1127,
1170,
3222,
-1688,
1074,
140,
-861,
2353,
708,
-69,
-472,
761,
-1904,
1765,
2123,
-678,
1889,
-859,
-2178,
-140,
17,
-45,
-57,
-568,
1007,
470,
868,
533,
-1657,
2045,
-1839,
-1837,
2443,
-2067,
1240,
1278,
-2767,
-901,
1324,
-574,
-1253,
-110,
-314,
-750,
-124,
1043,
-1972,
49,
985,
-2267,
-311,
-796,
3,
1741,
-2188,
-532,
-412,
-1035,
592,
-1550,
-1063,
-972,
-1757,
-460,
155,
-2682,
1072,
411,
-1905,
1900,
-987,
-2767,
-1111,
263,
-859,
-2338,
-656,
-99,
-259,
-1887,
-782,
1004,
-1118,
273,
-2397,
-368,
-480,
-1660,
2176,
-2704,
-983,
1677,
-1807,
-817,
-1379,
-662,
-550,
-3570,
712,
367,
-904,
560,
-1362,
-545,
-1071,
-484,
-299,
-2390,
1652,
2,
-2459,
439,
-1760,
-641,
84,
-2743,
389,
761,
-1640,
-562,
-2620,
1845,
18,
-4081,
3615,
-969,
-2424,
1824,
-1617,
788,
-159,
-845,
348,
-2813,
-265,
-1189,
-327,
1638,
-2331,
56,
1572,
-1246,
-452,
1771,
-1505,
-2256,
1905,
-1717,
-2002,
1749,
-1767,
-462,
2535,
-2025,
604,
79,
-3507,
-116,
302,
1965,
-741,
-789,
1872,
-1310,
-500,
936,
-1370,
-545,
-248,
1096,
531,
-727,
31,
157,
1507,
620,
796,
-925,
-636,
1018,
620,
-1005,
-302,
1597,
591,
-2276,
1046,
3263,
-897,
-789,
777,
798,
-224,
989,
-1098,
823,
1712,
-1170,
1766,
1790,
593,
898,
1952,
167,
-1152,
2631,
481,
-523,
2493,
31,
1197,
-206,
-91,
1090,
-227,
438,
-156,
605,
1619,
1041,
719,
2378,
1061,
315,
952,
1535,
1671,
763,
572,
1178,
393,
2097,
967,
-704,
1868,
1101,
1456,
1103,
896,
1153,
201,
480,
529,
687,
1826,
734,
328,
1060,
188,
-815,
2139,
1278,
14,
2496,
-1476,
1918,
886,
-2898,
3667,
1693,
-1835,
1593,
177,
1106,
891,
-388,
2554,
-88,
-591,
474,
619,
1510,
-366,
-687,
2031,
-751,
-309,
2107,
-286,
-479,
851,
292,
-597,
1989,
805,
-1499,
1813,
790,
-2087,
546,
-275,
-1826,
2246,
-406,
-1283,
3034,
-881,
-840,
1130,
137,
-652,
-1903,
-107,
304,
-873,
553,
1300,
-612,
-1891,
-863,
228,
-396,
-919,
-1083,
1911,
420,
-1565,
-1456,
-1068,
1175,
-1182,
-2341,
-1833,
1278,
92,
-2600,
1448,
680,
-3810,
-1244,
933,
-2125,
-1409,
1432,
-1777,
-2082,
777,
-2969,
-1775,
276,
-2351,
13,
2271,
-1099,
-2020,
1654,
-30,
-3469,
-1290,
814,
-191,
-2335,
786,
-604,
-2867,
401,
-1680,
-542,
568,
-982,
180,
-655,
-227,
-1011,
-1051,
288,
-1193,
-1005,
-1477,
149,
411,
-1898,
-100,
-235,
-1331,
63,
-697,
-1248,
-962,
-1587,
595,
515,
-2486,
152,
-468,
-908,
698,
-2164,
875,
633,
-2170,
685,
11,
-921,
-693,
-637,
118,
-788,
-1009,
-463,
-811,
-740,
-53,
407,
-1018,
-642,
-65,
147,
468,
-1178,
-861,
304,
446,
-1389,
-375,
-880,
-95,
1091,
-212,
-29,
-464,
748,
-1419,
-550,
197,
-1883,
1353,
-1029,
-1047,
1142,
-2245,
1097,
872,
-1462,
991,
7,
-996,
374,
-358,
248,
979,
-586,
69,
-83,
-319,
467,
1194,
607,
822,
870,
-890,
958,
435,
-1387,
1998,
-629,
-49,
2029,
-1495,
713,
-242,
-764,
1416,
267,
844,
1802,
237,
1093,
104,
-367,
1460,
871,
1136,
277,
472,
238,
688,
1668,
1299,
1972,
828,
-153,
2131,
623,
280,
1818,
-98,
1865,
1099,
-788,
1250,
995,
700,
1667,
-298,
465,
2369,
976,
577,
469,
237,
918,
2023,
426,
792,
1878,
383,
704,
1267,
285,
1529,
1285,
-692,
1670,
925,
-443,
964,
685,
1327,
1009,
-117,
744,
1250,
478,
215,
494,
828,
1031,
-116,
88,
892,
18,
917,
339,
17,
1329,
-227,
421,
1556,
260,
961,
675,
601,
1517,
-65,
-283,
903,
551,
-179,
806,
-1080,
-450,
1106,
-782,
1459,
469,
-1385,
-446,
-454,
25,
539,
94,
-199,
-78,
424,
500,
-308,
377,
327,
-450,
-636,
-100,
366,
-606,
-362,
383,
-707,
-190,
-831,
-786,
-215,
-857,
-321,
-620,
-537,
-478,
-1173,
-970,
-254,
-666,
-569,
-502,
-747,
-468,
-1284,
-1337,
-72,
-470,
-482,
-558,
-1546,
-633,
-315,
-1693,
-1295,
-155,
-899,
-481,
-59,
-930,
-866,
-594,
-920,
-1812,
162,
-893,
-2163,
-549,
-1567,
-740,
-92,
-891,
-1043,
-691,
-762,
-387,
-248,
-1163,
-775,
-277,
41,
-591,
-507,
297,
-904,
-761,
-227,
-1744,
-607,
-161,
-1158,
-209,
-180,
-475,
-704,
-257,
-642,
-72,
-87,
-1748,
-789,
-633,
-923,
-493,
-990,
-516,
-291,
-1095,
-119,
153,
-773,
-106,
-307,
-359,
68,
-500,
-23,
545,
-992,
-923,
-438,
-816,
69,
-176,
-728,
-864,
-935,
-644,
50,
71,
-1067,
-402,
388,
-751,
-92,
-56,
-1078,
-376,
-1157,
-731,
624,
-256,
-359,
-191,
5,
-164,
-582,
7,
80,
-224,
-368,
-627,
208,
841,
-41,
-467,
-6,
-79,
310,
514,
95,
279,
300,
22,
269,
419,
613,
615,
-594,
-879,
-91,
482,
635,
339,
382,
850,
-60,
-68,
682,
199,
591,
414,
478,
1358,
767,
547,
897,
574,
1060,
1183,
710,
837,
941,
803,
987,
767,
189,
571,
939,
800,
540,
861,
1286,
909,
622,
662,
888,
1003,
708,
750,
1124,
1036,
523,
654,
315,
360,
1535,
1082,
937,
1408,
1127,
1316,
974,
542,
624,
796,
262,
-45,
1010,
757,
770,
912,
97,
704,
1068,
1219,
1235,
892,
467,
835,
1521,
367,
-33,
558,
551,
156,
328,
677,
523,
729,
346,
448,
919,
682,
467,
420,
576,
146,
389,
625,
515,
849,
64,
-24,
432,
341,
420,
179,
484,
1159,
449,
-113,
89,
-354,
21,
104,
-132,
73,
-95,
-15,
-348,
-282,
-31,
-58,
215,
-11,
118,
-279,
-526,
-691,
-853,
116,
92,
-226,
-447,
-772,
-335,
-122,
-733,
-471,
-202,
-808,
-671,
-268,
-660,
-693,
-340,
-881,
-352,
-602,
-1082,
-229,
-857,
-1300,
-651,
-323,
-501,
-961,
-1191,
-1134,
-855,
-698,
-949,
-536,
-646,
-1177,
-889,
-227,
-520,
-974,
-777,
-619,
-818,
-834,
-381,
-802,
-480,
-632,
-1174,
-528,
-845,
-1142,
-741,
-711,
-638,
-713,
-868,
-1058,
-569,
-543,
-1086,
-660,
-892,
-801,
-350,
-565,
-392,
-330,
-795,
-334,
-539,
-655,
-398,
-646,
-66,
-630,
-783,
-289,
-908,
-981,
-462,
-533,
-328,
-228,
-334,
-313,
-940,
-802,
-601,
-779,
-367,
-240,
-594,
-530,
-411,
-582,
-453,
-58,
-6,
-562,
-602,
-636,
-707,
224,
-63,
-798,
-819,
-603,
-411,
-444,
-36,
-421,
-239,
-215,
-464,
157,
-95,
-75,
74,
-647,
-408,
272,
-304,
-336,
-141,
-226,
-294,
13,
229,
-181,
292,
386,
-235,
-63,
-174,
-82,
520,
21,
-169,
105,
-87,
82,
232,
579,
691,
-262,
-99,
181,
-29,
753,
675,
366,
179,
-209,
549,
899,
463,
686,
597,
846,
1043,
406,
486,
533,
784,
710,
738,
646,
620,
1182,
662,
576,
946,
781,
915,
1010,
1166,
1118,
796,
641,
634,
905,
1038,
936,
990,
727,
34,
794,
1131,
1351,
1504,
563,
849,
813,
787,
1301,
1150,
399,
342,
610,
214,
747,
1024,
689,
664,
617,
981,
1376,
1150,
750,
633,
742,
820,
607,
713,
836,
689,
632,
437,
235,
554,
1004,
821,
422,
163,
602,
795,
613,
379,
392,
670,
332,
701,
831,
497,
301,
-21,
411,
691,
560,
478,
-88,
336,
544,
425,
661,
46,
469,
399,
-357,
-248,
210,
624,
36,
-224,
154,
-24,
-163,
-464,
-481,
76,
143,
-392,
-266,
-331,
-694,
-10,
-552,
-341,
-66,
-498,
-104,
-813,
-601,
-266,
-456,
-232,
-729,
-475,
-353,
-820,
-304,
-345,
-897,
-867,
-363,
139,
-110,
-1169,
-1273,
-880,
-655,
-592,
-1251,
-910,
-634,
-807,
-651,
-852,
-917,
-599,
-471,
-462,
-916,
-1062,
-850,
-1060,
-530,
-1193,
-1026,
-120,
-611,
-19,
-399,
-1116,
-708,
-927,
-780,
-317,
-626,
-750,
-609,
-679,
-693,
-998,
-959,
-663,
-1025,
-843,
-396,
-448,
-141,
-515,
-1006,
-309,
-517,
-486,
-312,
-800,
-276,
-466,
-914,
-445,
-420,
-676,
-382,
-333,
-771,
-373,
71,
-27,
-399,
-812,
-510,
-394,
-546,
-601,
-655,
-221,
-413,
-474,
-411,
-477,
-106,
-178,
74,
-313,
-619,
-654,
-649,
-156,
-352,
-430,
-347,
-320,
-25,
-143,
-17,
148,
-216,
-66,
-307,
-451,
-141,
-688,
-328,
77,
-369,
-100,
-196,
-438,
-412,
-259,
90,
21,
-208,
-382,
-23,
122,
38,
419,
252,
-88,
-31,
324,
253,
-106,
-167,
147,
331,
105,
461,
485,
67,
281,
453,
334,
417,
694,
149,
-98,
393,
794,
675,
362,
770,
441,
493,
851,
390,
243,
327,
890,
1179,
749,
863,
978,
729,
523,
592,
970,
1005,
1171,
1034,
536,
579,
689,
1279,
1142,
797,
1533,
1092,
621,
815,
992,
1219,
840,
580,
1109,
968,
711,
965,
838,
1196,
1193,
849,
635,
593,
977,
911,
980,
1015,
378,
584,
679,
718,
998,
539,
755,
633,
426,
551,
716,
901,
439,
247,
473,
766,
654,
649,
486,
341,
566,
503,
921,
1175,
547,
653,
421,
-83,
465,
558,
379,
303,
147,
123,
498,
675,
383,
325,
83,
164,
465,
280,
-27,
112,
178,
138,
-76,
-172,
280,
50,
-112,
-566,
-792,
-290,
516,
132,
-296,
-198,
-247,
182,
-557,
-529,
-103,
-491,
-503,
-294,
-487,
-310,
-161,
-688,
-456,
-470,
-793,
-454,
-562,
-564,
-715,
-1036,
-379,
-823,
-723,
6,
-610,
-679,
-1034,
-1311,
-1015,
-924,
-636,
-442,
-487,
-865,
-665,
-466,
-698,
-677,
-592,
-714,
-1404,
-1452,
-1069,
-652,
-504,
-617,
-621,
-888,
-979,
-613,
-39,
-348,
-738,
-803,
-439,
-487,
-1116,
-542,
-705,
-1280,
-1041,
-579,
-430,
-656,
-410,
-702,
-574,
-531,
-757,
-432,
-560,
-356,
-738,
-908,
-414,
-408,
-503,
-625,
-676,
-583,
-423,
-182,
-110,
-647,
-301,
-17,
-555,
-284,
-441,
-744,
-423,
-642,
-626,
50,
-35,
-407,
-563,
-717,
-224,
49,
-282,
-344,
-396,
-665,
-566,
-417,
-315,
-278,
-397,
-400,
-511,
-430,
-195,
-115,
-223,
-303,
-310,
-470,
-220,
-401,
-717,
5,
104,
145,
-27,
-252,
-28,
-67,
-33,
-505,
-361,
177,
185,
-237,
-292,
-21,
-293,
-235,
-249,
-187,
433,
118,
-268,
18,
271,
513,
249,
172,
94,
81,
254,
411,
299,
151,
389,
255,
831,
637,
407,
845,
182,
-42,
142,
732,
1028,
775,
816,
447,
441,
732,
939,
837,
518,
402,
708,
1265,
1028,
847,
966,
1245,
993,
547,
640,
819,
1060,
1078,
816,
684,
1025,
747,
539,
1011,
1367,
1139,
1119,
1357,
922,
1017,
1190,
1028,
717,
567,
901,
727,
823,
967,
590,
391,
449,
924,
1140,
953,
1094,
966,
451,
519,
905,
840,
570,
700,
669,
550,
577,
463,
277,
578,
786,
561,
767,
712,
867,
573,
-107,
175,
264,
550,
905,
506,
-41,
41,
292,
352,
607,
485,
173,
198,
488,
446,
234,
61,
94,
84,
-19,
249,
-122,
-288,
-18,
-185,
292,
347,
98,
156,
-178,
-81,
32,
-334,
-588,
-606,
-547,
-40,
-231,
-543,
-118,
-305,
-323,
-311,
-675,
-558,
-327,
-349,
-553,
-828,
-629,
-439,
-534,
-515,
-597,
-764,
-1044,
-694,
-518,
-806,
-723,
-1076,
-1142,
-944,
-575,
-188,
-234,
-527,
-1199,
-1200,
-828,
-652,
-533,
-778,
-688,
-427,
-671,
-785,
-500,
-441,
-736,
-989,
-850,
-565,
-587,
-553,
-758,
-875,
-878,
-1228,
-981,
-285,
-318,
-468,
-899,
-1205,
-513,
-479,
-558,
-452,
-677,
-1013,
-1096,
-739,
-819,
-727,
-555,
-527,
-353,
-105,
-88,
-433,
-490,
-654,
-789,
-473,
-437,
-406,
-80,
-298,
-380,
-743,
-751,
-292,
-413,
-437,
-624,
-107,
-396,
-922,
-283,
-319,
-192,
-220,
-727,
-757,
86,
346,
-144,
-233,
-558,
-503,
-277,
-70,
-172,
-556,
-319,
-370,
-584,
-457,
-349,
-209,
-511,
-630,
113,
252,
-330,
-393,
-41,
121,
-345,
-437,
-83,
-163,
-109,
-118,
72,
158,
-45,
-98,
-210,
-148,
49,
-162,
57,
339,
-145,
100,
475,
253,
198,
130,
25,
215,
377,
129,
-17,
31,
145,
542,
384,
274,
334,
254,
343,
291,
143,
467,
1249,
985,
899,
1202,
1112,
944,
335,
282,
335,
457,
901,
764,
919,
876,
708,
1446,
1465,
887,
608,
407,
846,
1107,
1121,
1198,
1133,
1375,
1023,
808,
1066,
708,
867,
1079,
741,
1028,
1079,
759,
430,
761,
1391,
1189,
702,
516,
984,
668,
632,
886,
527,
934,
946,
867,
1180,
836,
451,
405,
604,
679,
741,
872,
576,
234,
238,
652,
901,
813,
278,
268,
358,
331,
676,
515,
723,
574,
495,
661,
307,
-7,
103,
473,
595,
213,
-36,
347,
262,
13,
-105,
33,
-10,
-171,
119,
-59,
80,
396,
-3,
-104,
161,
-105,
98,
589,
158,
-174,
-354,
-346,
8,
88,
-292,
-544,
-487,
-482,
-262,
-338,
-341,
-330,
-537,
-388,
-383,
-426,
-374,
-354,
-382,
-455,
-545,
-881,
-826,
-560,
-660,
-735,
-943,
-916,
-743,
-414,
-101,
-559,
-1156,
-1092,
-759,
-670,
-822,
-972,
-783,
-656,
-571,
-831,
-1052,
-720,
-314,
-285,
-297,
-322,
-631,
-557,
-783,
-962,
-969,
-964,
-473,
-267,
-877,
-1118,
-669,
-641,
-916,
-875,
-471,
-498,
-738,
-505,
-587,
-507,
-247,
-498,
-733,
-870,
-746,
-681,
-695,
-701,
-768,
-634,
-532,
-461,
-533,
-532,
-268,
-423,
-436,
-468,
-678,
-254,
-238,
-603,
-561,
-378,
-307,
-490,
-449,
-260,
-374,
-334,
-594,
-571,
-161,
-543,
-455,
-619,
-639,
-16,
-254,
-142,
-256,
-394,
-283,
-291,
-446,
-843,
99,
138,
-445,
-327,
-318,
-183,
-411,
-280,
-9,
-99,
-41,
-114,
-534,
-386,
-150,
-211,
-198,
-197,
138,
-12,
-476,
-242,
-131,
4,
156,
93,
131,
-19,
-154,
-111,
326,
195,
-58,
-62,
-7,
210,
201,
304,
154,
144,
299,
171,
249,
361,
292,
364,
-57,
-29,
931,
1076,
443,
83,
647,
1032,
586,
568,
553,
521,
596,
444,
599,
587,
710,
997,
986,
908,
677,
814,
1087,
1010,
933,
681,
1059,
1432,
941,
667,
765,
958,
1167,
886,
384,
667,
1107,
1401,
1227,
633,
732,
762,
533,
696,
801,
913,
1040,
800,
614,
967,
1098,
948,
993,
962,
1067,
937,
592,
495,
568,
550,
344,
386,
640,
865,
1092,
874,
457,
533,
460,
577,
894,
698,
401,
443,
349,
305,
445,
181,
371,
689,
210,
-101,
98,
561,
731,
542,
661,
664,
160,
-77,
324,
-5,
-131,
244,
-175,
-257,
514,
569,
-218,
154,
584,
407,
464,
29,
-625,
-615,
116,
-92,
-603,
-125,
-175,
-499,
-426,
-432,
-595,
-557,
-556,
-159,
371,
22,
-340,
-761,
-810,
-457,
-669,
-619,
-428,
-674,
-1126,
-848,
-401,
-503,
-410,
-383,
-498,
-680,
-573,
-671,
-937,
-585,
-661,
-665,
-472,
-591,
-543,
-750,
-817,
-696,
-907,
-882,
-630,
-657,
-841,
-917,
-915,
-892,
-700,
-597,
-566,
-296,
-627,
-887,
-574,
-632,
-556,
-700,
-952,
-862,
-734,
-766,
-528,
-512,
-734,
-524,
-754,
-961,
-875,
-741,
-438,
-453,
-537,
-466,
-512,
-295,
-692,
-946,
-699,
-831,
-688,
-682,
-302,
-122,
-413,
-498,
-835,
-494,
-433,
-658,
-611,
-711,
-352,
-412,
-396,
-57,
-117,
-408,
-490,
-580,
-421,
-302,
-316,
127,
-92,
-406,
-355,
-521,
-472,
-307,
-665,
-442,
-129,
-589,
-284,
-185,
-244,
-159,
-365,
-165,
-225,
-625,
-589,
34,
70,
-321,
-230,
-133,
-78,
-19,
290,
-29,
-398,
-144,
-92,
201,
210,
-131,
-297,
-193,
-18,
42,
200,
276,
124,
-100,
-67,
306,
258,
-7,
217,
273,
74,
148,
245,
137,
26,
258,
384,
409,
497,
512,
547,
483,
388,
480,
707,
535,
530,
378,
526,
814,
336,
539,
907,
1102,
1366,
1363,
865,
575,
491,
576,
985,
886,
980,
940,
849,
809,
774,
1033,
1030,
905,
911,
1012,
952,
1204,
1143,
805,
724,
386,
643,
788,
715,
792,
649,
1067,
1218,
934,
933,
1015,
1046,
862,
530,
583,
764,
465,
220,
597,
806,
682,
947,
1027,
968,
914,
618,
580,
594,
373,
479,
680,
590,
533,
605,
608,
166,
46,
857,
518,
237,
672,
279,
411,
270,
40,
409,
330,
90,
128,
121,
-97,
-254,
-154,
285,
584,
787,
308,
-209,
290,
153,
-153,
-395,
-563,
-144,
-292,
-192,
-103,
-189,
212,
-186,
-465,
-132,
-172,
-433,
-447,
-665,
-880,
-346,
-558,
-982,
-689,
-367,
-133,
-163,
-253,
-484,
-528,
-290,
-378,
-552,
-513,
-979,
-1354,
-847,
-641,
-797,
-845,
-641,
-727,
-817,
-341,
-323,
-554,
-653,
-610,
-520,
-538,
-407,
-715,
-1191,
-1089,
-746,
-562,
-462,
-645,
-1005,
-693,
-341,
-442,
-431,
-581,
-880,
-1141,
-1179,
-698,
-397,
-382,
-272,
-710,
-1113,
-1015,
-762,
-412,
-608,
-659,
-629,
-867,
-1014,
-682,
-17,
-261,
-738,
-944,
-1203,
-1051,
-492,
-101,
-283,
-380,
-61,
-323,
-450,
94,
-260,
-525,
-290,
-921,
-611,
-114,
-235,
-126,
-537,
-753,
-775,
-464,
-227,
-626,
-934,
-877,
-596,
-90,
74,
-367,
-529,
-208,
-121,
-515,
-568,
-89,
107,
-2,
-31,
-249,
-304,
-433,
-388,
-90,
-540,
-406,
120,
-188,
-202,
199,
-6,
-500,
-151,
252,
-143,
-229,
-77,
-279,
-326,
15,
210,
17,
-162,
-85,
109,
177,
-148,
-245,
54,
78,
-26,
-135,
124,
211,
151,
458,
302,
-11,
172,
343,
452,
586,
596,
449,
285,
391,
314,
327,
644,
622,
195,
450,
825,
661,
776,
629,
292,
524,
965,
847,
641,
834,
960,
898,
773,
463,
646,
1041,
943,
868,
922,
909,
1055,
773,
348,
826,
942,
1009,
1106,
583,
756,
983,
910,
1016,
1092,
1396,
1234,
722,
727,
1042,
1094,
922,
898,
489,
61,
435,
915,
952,
748,
676,
871,
1007,
968,
648,
491,
615,
620,
509,
430,
811,
544,
394,
846,
618,
423,
521,
729,
737,
744,
859,
380,
-16,
208,
636,
888,
684,
141,
-216,
243,
503,
308,
276,
323,
643};
